package cn.com.poc.audio_generation.aggregation;

import cn.com.poc.audio_generation.entity.BatchGenerateEntity;
import cn.com.poc.audio_generation.entity.GenerationStatusEntity;

import java.util.List;

public interface AudioGenerationService {

    /**
     * 创建文本转音频任务
     *
     * @param text
     * @param voiceId
     * @param speed
     * @return 任务ID
     */
    Long createTextToAudioTask(String text, String voiceId, Double speed);

    /**
     * 批量创建文本转音频任务
     *
     * @param entities 任务实体
     * @return 任务ID
     */
    List<Long> batchCreateTextToAudioTask(List<BatchGenerateEntity> entities);

    /**
     * 获取任务状态
     */
    String getTaskStatus(Long taskId);

    /**
     * 批量获取任务状态
     */
    List<GenerationStatusEntity> batchGetAudioGenerationTask(List<Long> taskIds);

}
