package cn.com.poc.audio_generation.model;	

import java.io.Serializable;
import cn.com.yict.framemax.data.model.BaseModelClass;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Id;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import javax.persistence.Version;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;

/**
 * Model class for biz_audio_generation_task
 * 音频生成任务表
 */
@Entity
@Table(name = "biz_audio_generation_task")
@DynamicInsert
@DynamicUpdate
public class BizAudioGenerationTaskModel extends BaseModelClass implements Serializable {

    private static final long serialVersionUID = 1L;
    
  
    /** task_id
    *任务ID
    */ 
    private java.lang.Long taskId;
    
    @Column(name = "task_id",length = 19)
	@Id @GeneratedValue(strategy = GenerationType.AUTO) 
    public java.lang.Long getTaskId(){
        return this.taskId;
    }
    
    public void setTaskId(java.lang.Long taskId){
        this.taskId = taskId;
        super.addValidField("taskId");
    }
    
  
    /** text_content
    *文本内容
    */ 
    private java.lang.String textContent;
    
    @Column(name = "text_content",length = 65535)
    public java.lang.String getTextContent(){
        return this.textContent;
    }
    
    public void setTextContent(java.lang.String textContent){
        this.textContent = textContent;
        super.addValidField("textContent");
    }
    
  
    /** voice_id
    *发音者ID
    */ 
    private java.lang.String voiceId;
    
    @Column(name = "voice_id",length = 125)
    public java.lang.String getVoiceId(){
        return this.voiceId;
    }
    
    public void setVoiceId(java.lang.String voiceId){
        this.voiceId = voiceId;
        super.addValidField("voiceId");
    }
    
  
    /** task_status
    *任务状态
    */ 
    private java.lang.String taskStatus;
    
    @Column(name = "task_status",length = 10)
    public java.lang.String getTaskStatus(){
        return this.taskStatus;
    }
    
    public void setTaskStatus(java.lang.String taskStatus){
        this.taskStatus = taskStatus;
        super.addValidField("taskStatus");
    }
    
  
    /** audio_url
    *音频地址
    */ 
    private java.lang.String audioUrl;
    
    @Column(name = "audio_url",length = 225)
    public java.lang.String getAudioUrl(){
        return this.audioUrl;
    }
    
    public void setAudioUrl(java.lang.String audioUrl){
        this.audioUrl = audioUrl;
        super.addValidField("audioUrl");
    }

    /** task_info
     *任务信息  - 记录任务错误/失败信息
     */
    private java.lang.String taskInfo;

    @Column(name = "task_info",length = 225)
    public java.lang.String getTaskInfo(){
        return this.taskInfo;
    }

    public void setTaskInfo(java.lang.String taskInfo){
        this.taskInfo = taskInfo;
        super.addValidField("taskInfo");
    }


    /** is_deleted
    *是否删除 1、Y 是 2、N 否
    */ 
    private java.lang.String isDeleted;
    
    @Column(name = "is_deleted",length = 1)
    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
        super.addValidField("isDeleted");
    }
    
  
    /** CREATOR
    *创建人
    */ 
    private java.lang.String creator;
    
    @Column(name = "CREATOR",length = 225)
    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
        super.addValidField("creator");
    }
    
  
    /** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;
    
    @Column(name = "CREATED_TIME",length = 19)
    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
        super.addValidField("createdTime");
    }
    
  
    /** MODIFIER
    *修改人
    */ 
    private java.lang.String modifier;
    
    @Column(name = "MODIFIER",length = 225)
    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
        super.addValidField("modifier");
    }
    
  
    /** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;
    
    @Column(name = "MODIFIED_TIME",length = 19)
    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
        super.addValidField("modifiedTime");
    }
    
  
    /** SYS_VERSION
    *乐观锁,版本号
    */ 
    private java.lang.Integer sysVersion;
    
    @Column(name = "SYS_VERSION",length = 10)
	@Version
    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
        super.addValidField("sysVersion");
    }
    

}