package cn.com.poc.communication.aggregation;

import cn.com.poc.communication.entity.BizCharacterCommunicationEntity;
import cn.com.poc.communication.entity.SaveCharacterCommunicationEntity;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.List;

public interface CharacterCommunicationService {

    /**
     * 对角色排序
     *
     * @throws Exception
     */
    void sortCharacter( Integer sourceId,Integer targetId) throws Exception;


    /**
     * 根据角色对话ID获取某一个对话的角色对话配置
     * @param bizCharacterCommunicationId
     * @throws Exception
     */

    SaveCharacterCommunicationEntity getCharacterCommunication( Integer bizCharacterCommunicationId) throws Exception;

    SaveCharacterCommunicationEntity save(SaveCharacterCommunicationEntity saveCharacterCommunicationEntity) throws Exception;

    SaveCharacterCommunicationEntity update(SaveCharacterCommunicationEntity saveCharacterCommunicationEntity) throws Exception;

    /**
     * 根据角色对话ID删除角色
     *
     * @param bizCharacterCommunicationId
     * @throws Exception
     */
    void deleteCharacter(Integer bizCharacterCommunicationId) throws Exception;

    /**
     *  分页降序查询
     * */
    List<BizCharacterCommunicationEntity> getAllByAsc(PagingInfo pagingInfo) throws Exception;

}
