package cn.com.poc.communication.convert;

import cn.com.poc.communication.dto.SaveCharacterCommunicationDto;
import cn.com.poc.communication.entity.BizAiPromptEntity;
import cn.com.poc.communication.entity.BizCharacterCommunicationEntity;
import cn.com.poc.communication.entity.BizCommunicationThemeEntity;
import cn.com.poc.communication.entity.SaveCharacterCommunicationEntity;
import cn.com.poc.communication.model.BizCharacterCommunicationModel;

public class BizCharacterCommunicationConvert {


    public static BizCharacterCommunicationEntity modelToEntity(BizCharacterCommunicationModel model){
        BizCharacterCommunicationEntity bizCharacterCommunicationEntity = new BizCharacterCommunicationEntity();
        bizCharacterCommunicationEntity.setId(model.getId());
        bizCharacterCommunicationEntity.setCharacterName(model.getCharacterName());
        bizCharacterCommunicationEntity.setTimbreId(model.getTimbreId());
        bizCharacterCommunicationEntity.setCharacterDescribe(model.getCharacterDescribe());
        bizCharacterCommunicationEntity.setAvatarUrl(model.getAvatarUrl());
        bizCharacterCommunicationEntity.setIsDisplay(model.getIsDisplay());
        bizCharacterCommunicationEntity.setCharacterSort(model.getCharacterSort());
        bizCharacterCommunicationEntity.setThemeCode(model.getThemeCode());
        bizCharacterCommunicationEntity.setIsDeleted(model.getIsDeleted());
        return bizCharacterCommunicationEntity;
    }

    public static BizCharacterCommunicationModel entityToModel(BizCharacterCommunicationEntity entity){
        BizCharacterCommunicationModel bizCharacterCommunicationModel = new BizCharacterCommunicationModel();
        bizCharacterCommunicationModel.setId(entity.getId());
        bizCharacterCommunicationModel.setCharacterName(entity.getCharacterName());
        bizCharacterCommunicationModel.setTimbreId(entity.getTimbreId());
        bizCharacterCommunicationModel.setCharacterDescribe(entity.getCharacterDescribe());
        bizCharacterCommunicationModel.setAvatarUrl(entity.getAvatarUrl());
        bizCharacterCommunicationModel.setIsDisplay(entity.getIsDisplay());
        bizCharacterCommunicationModel.setCharacterSort(entity.getCharacterSort());
        bizCharacterCommunicationModel.setThemeCode(entity.getThemeCode());
        bizCharacterCommunicationModel.setIsDeleted(entity.getIsDeleted());
        return bizCharacterCommunicationModel;}

    public static SaveCharacterCommunicationDto entityToDto(BizCharacterCommunicationEntity entity){
        SaveCharacterCommunicationDto saveCharacterCommunicationDto = new SaveCharacterCommunicationDto();
        saveCharacterCommunicationDto.setId(entity.getId());
        saveCharacterCommunicationDto.setCharacterName(entity.getCharacterName());
        saveCharacterCommunicationDto.setTimbreId(entity.getTimbreId());
        saveCharacterCommunicationDto.setCharacterDescribe(entity.getCharacterDescribe());
        saveCharacterCommunicationDto.setAvatarUrl(entity.getAvatarUrl());
        saveCharacterCommunicationDto.setIsDisplay(entity.getIsDisplay());
        saveCharacterCommunicationDto.setCharacterSort(entity.getCharacterSort());
        saveCharacterCommunicationDto.setThemeCode(entity.getThemeCode());
        saveCharacterCommunicationDto.setIsDeleted(entity.getIsDeleted());
        return saveCharacterCommunicationDto;
    }

    public static SaveCharacterCommunicationEntity entityToDtoEntity(BizCharacterCommunicationEntity entity){
        SaveCharacterCommunicationEntity saveCharacterCommunicationEntity = new SaveCharacterCommunicationEntity();
        saveCharacterCommunicationEntity.setId(entity.getId());
        saveCharacterCommunicationEntity.setCharacterName(entity.getCharacterName());
        saveCharacterCommunicationEntity.setTimbreId(entity.getTimbreId());
        saveCharacterCommunicationEntity.setCharacterDescribe(entity.getCharacterDescribe());
        saveCharacterCommunicationEntity.setAvatarUrl(entity.getAvatarUrl());
        saveCharacterCommunicationEntity.setIsDisplay(entity.getIsDisplay());
        saveCharacterCommunicationEntity.setCharacterSort(entity.getCharacterSort());
        saveCharacterCommunicationEntity.setThemeCode(entity.getThemeCode());
        saveCharacterCommunicationEntity.setIsDeleted(entity.getIsDeleted());
        return saveCharacterCommunicationEntity;
    }

    public static BizCharacterCommunicationEntity dtoEntityToEntity(SaveCharacterCommunicationEntity dtoEntity){
        BizCharacterCommunicationEntity bizCharacterCommunicationEntity = new BizCharacterCommunicationEntity();
        bizCharacterCommunicationEntity.setId(dtoEntity.getId());
        bizCharacterCommunicationEntity.setCharacterName(dtoEntity.getCharacterName());
        bizCharacterCommunicationEntity.setTimbreId(dtoEntity.getTimbreId());
        bizCharacterCommunicationEntity.setCharacterDescribe(dtoEntity.getCharacterDescribe());
        bizCharacterCommunicationEntity.setAvatarUrl(dtoEntity.getAvatarUrl());
        bizCharacterCommunicationEntity.setIsDisplay(dtoEntity.getIsDisplay());
        bizCharacterCommunicationEntity.setCharacterSort(dtoEntity.getCharacterSort());
        bizCharacterCommunicationEntity.setThemeCode(dtoEntity.getThemeCode());
        bizCharacterCommunicationEntity.setIsDeleted(dtoEntity.getIsDeleted());
        return bizCharacterCommunicationEntity;
    }

    public static BizAiPromptEntity dtoToPromptEntity(SaveCharacterCommunicationEntity dtoEntity){
        BizAiPromptEntity bizAiPromptEntity = new BizAiPromptEntity();
        bizAiPromptEntity.setPromptValue(dtoEntity.getPromptValue());
        bizAiPromptEntity.setIsDeleted(dtoEntity.getIsDeleted());
        return bizAiPromptEntity;
    }

    public static BizCommunicationThemeEntity dtoEntityToCommunicationThemeEntity(SaveCharacterCommunicationEntity dtoEntity){
        BizCommunicationThemeEntity bizCommunicationThemeEntity = new BizCommunicationThemeEntity();
        bizCommunicationThemeEntity.setThemeCode(dtoEntity.getThemeCode());
        bizCommunicationThemeEntity.setPromptRelation(dtoEntity.getPromptRelation());
        bizCommunicationThemeEntity.setAssistantContent(dtoEntity.getAssistantContent());
        bizCommunicationThemeEntity.setPresencePenalty(dtoEntity.getPresencePenalty());
        bizCommunicationThemeEntity.setTemperature(dtoEntity.getTemperature());
        bizCommunicationThemeEntity.setIsDeleted(dtoEntity.getIsDeleted());
        return bizCommunicationThemeEntity;
    }

}
