package cn.com.poc.communication.model;

import java.io.Serializable;
import cn.com.yict.framemax.data.model.BaseModelClass;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Id;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import javax.persistence.Version;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;

/**
 * Model class for biz_character_communication
 * 
 */
@Entity
@Table(name = "biz_character_communication")
@DynamicInsert
@DynamicUpdate
public class BizCharacterCommunicationModel extends BaseModelClass implements Serializable {

    private static final long serialVersionUID = 1L;
    
  
    /** id
    *主键ID
    */ 
    private java.lang.Integer id;
    
    @Column(name = "id",length = 10)
	@Id @GeneratedValue(strategy = GenerationType.AUTO) 
    public java.lang.Integer getId(){
        return this.id;
    }
    
    public void setId(java.lang.Integer id){
        this.id = id;
        super.addValidField("id");
    }
    
  
    /** character_name
    *角色名字
    */ 
    private java.lang.String characterName;
    
    @Column(name = "character_name",length = 100)
    public java.lang.String getCharacterName(){
        return this.characterName;
    }
    
    public void setCharacterName(java.lang.String characterName){
        this.characterName = characterName;
        super.addValidField("characterName");
    }
    
  
    /** timbre_id
    *音色ID
    */ 
    private java.lang.Integer timbreId;
    
    @Column(name = "timbre_id",length = 10)
    public java.lang.Integer getTimbreId(){
        return this.timbreId;
    }
    
    public void setTimbreId(java.lang.Integer timbreId){
        this.timbreId = timbreId;
        super.addValidField("timbreId");
    }
    
  
    /** character_describe
    *描述
    */ 
    private java.lang.String characterDescribe;
    
    @Column(name = "character_describe",length = 2147483647)
    public java.lang.String getCharacterDescribe(){
        return this.characterDescribe;
    }
    
    public void setCharacterDescribe(java.lang.String characterDescribe){
        this.characterDescribe = characterDescribe;
        super.addValidField("characterDescribe");
    }
    
  
    /** avatar_url
    *头像url
    */ 
    private java.lang.String avatarUrl;
    
    @Column(name = "avatar_url",length = 100)
    public java.lang.String getAvatarUrl(){
        return this.avatarUrl;
    }
    
    public void setAvatarUrl(java.lang.String avatarUrl){
        this.avatarUrl = avatarUrl;
        super.addValidField("avatarUrl");
    }
    
  
    /** is_display
    *是否显示 1、Y 是 2、N 否
    */ 
    private java.lang.String isDisplay;
    
    @Column(name = "is_display",length = 1)
    public java.lang.String getIsDisplay(){
        return this.isDisplay;
    }
    
    public void setIsDisplay(java.lang.String isDisplay){
        this.isDisplay = isDisplay;
        super.addValidField("isDisplay");
    }
    
  
    /** character_sort
    *排序
    */ 
    private java.lang.Integer characterSort;
    
    @Column(name = "character_sort",length = 10)
    public java.lang.Integer getCharacterSort(){
        return this.characterSort;
    }
    
    public void setCharacterSort(java.lang.Integer characterSort){
        this.characterSort = characterSort;
        super.addValidField("characterSort");
    }
    
  
    /** theme_code
    *主题代码
    */ 
    private java.lang.String themeCode;
    
    @Column(name = "theme_code",length = 100)
    public java.lang.String getThemeCode(){
        return this.themeCode;
    }
    
    public void setThemeCode(java.lang.String themeCode){
        this.themeCode = themeCode;
        super.addValidField("themeCode");
    }
    
  
    /** is_deleted
    *是否删除 1、Y 是 2、N 否
    */ 
    private java.lang.String isDeleted;
    
    @Column(name = "is_deleted",length = 1)
    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
        super.addValidField("isDeleted");
    }
    
  
    /** CREATOR
    *创建人
    */ 
    private java.lang.String creator;
    
    @Column(name = "CREATOR",length = 225)
    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
        super.addValidField("creator");
    }
    
  
    /** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;
    
    @Column(name = "CREATED_TIME",length = 19)
    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
        super.addValidField("createdTime");
    }
    
  
    /** MODIFIER
    *修改人
    */ 
    private java.lang.String modifier;
    
    @Column(name = "MODIFIER",length = 225)
    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
        super.addValidField("modifier");
    }
    
  
    /** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;
    
    @Column(name = "MODIFIED_TIME",length = 19)
    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
        super.addValidField("modifiedTime");
    }
    
  
    /** SYS_VERSION
    *乐观锁,版本号
    */ 
    private java.lang.Integer sysVersion;
    
    @Column(name = "SYS_VERSION",length = 10)
	@Version
    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
        super.addValidField("sysVersion");
    }
    

}