package cn.com.poc.communication.model;

import cn.com.yict.framemax.data.model.BaseModelClass;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * Model class for biz_communication_assessment
 * 
 */
@Entity
@Table(name = "biz_communication_assessment")
@DynamicInsert
@DynamicUpdate
public class BizCommunicationAssessmentModel extends BaseModelClass implements Serializable {

    private static final long serialVersionUID = 1L;
    
  
    /** assessment_id
    *
    */ 
    private java.lang.Integer assessmentId;
    
    @Column(name = "assessment_id",length = 10)
	@Id @GeneratedValue(strategy = GenerationType.AUTO) 
    public java.lang.Integer getAssessmentId(){
        return this.assessmentId;
    }
    
    public void setAssessmentId(java.lang.Integer assessmentId){
        this.assessmentId = assessmentId;
        super.addValidField("assessmentId");
    }

    /**
     * voice_url
     */
    private String voiceUrl;

    @Column(name = "voice_url",length = 225)
    public String getVoiceUrl() {
        return voiceUrl;
    }

    public void setVoiceUrl(String voiceUrl) {
        this.voiceUrl = voiceUrl;
        super.addValidField("voiceUrl");
    }

    /** communication_id
     *对话ID
     */
    private java.lang.String communicationId;

    @Column(name = "communication_id",length = 255)
    public java.lang.String getCommunicationId(){
        return this.communicationId;
    }

    public void setCommunicationId(java.lang.String communicationId){
        this.communicationId = communicationId;
        super.addValidField("communicationId");
    }
    
    /** pronunciation_delivery_score
    *发音评分
    */ 
    private java.lang.Double pronunciationDeliveryScore;
    
    @Column(name = "pronunciation_delivery_score",length = 2)
    public java.lang.Double getPronunciationDeliveryScore(){
        return this.pronunciationDeliveryScore;
    }
    
    public void setPronunciationDeliveryScore(java.lang.Double pronunciationDeliveryScore){
        this.pronunciationDeliveryScore = pronunciationDeliveryScore;
        super.addValidField("pronunciationDeliveryScore");
    }
    
  
    /** communication_strategies_score
    *交流评分
    */ 
    private java.lang.Double communicationStrategiesScore;
    
    @Column(name = "communication_strategies_score",length = 2)
    public java.lang.Double getCommunicationStrategiesScore(){
        return this.communicationStrategiesScore;
    }
    
    public void setCommunicationStrategiesScore(java.lang.Double communicationStrategiesScore){
        this.communicationStrategiesScore = communicationStrategiesScore;
        super.addValidField("communicationStrategiesScore");
    }
    
  
    /** vocabulary_language_score
    *单词评分
    */ 
    private java.lang.Double vocabularyLanguageScore;
    
    @Column(name = "vocabulary_language_score",length = 2)
    public java.lang.Double getVocabularyLanguageScore(){
        return this.vocabularyLanguageScore;
    }
    
    public void setVocabularyLanguageScore(java.lang.Double vocabularyLanguageScore){
        this.vocabularyLanguageScore = vocabularyLanguageScore;
        super.addValidField("vocabularyLanguageScore");
    }
    
  
    /** ideas_organization_score
    *思想评分
    */ 
    private java.lang.Double ideasOrganizationScore;
    
    @Column(name = "ideas_organization_score",length = 2)
    public java.lang.Double getIdeasOrganizationScore(){
        return this.ideasOrganizationScore;
    }
    
    public void setIdeasOrganizationScore(java.lang.Double ideasOrganizationScore){
        this.ideasOrganizationScore = ideasOrganizationScore;
        super.addValidField("ideasOrganizationScore");
    }
    
  
    /** overall
    *总分
    */ 
    private java.lang.Double overall;
    
    @Column(name = "overall",length = 2)
    public java.lang.Double getOverall(){
        return this.overall;
    }
    
    public void setOverall(java.lang.Double overall){
        this.overall = overall;
        super.addValidField("overall");
    }
    
  
    /** bench_mark
    *基准
    */ 
    private java.lang.Double benchMark;
    
    @Column(name = "bench_mark",length = 2)
    public java.lang.Double getBenchMark(){
        return this.benchMark;
    }
    
    public void setBenchMark(java.lang.Double benchMark){
        this.benchMark = benchMark;
        super.addValidField("benchMark");
    }
    
  
    /** comments
    *评论
    */ 
    private java.lang.String comments;
    
    @Column(name = "comments",length = 2147483647)
    public java.lang.String getComments(){
        return this.comments;
    }
    
    public void setComments(java.lang.String comments){
        this.comments = comments;
        super.addValidField("comments");
    }
    
  
    /** recommendations
    *建议
    */ 
    private java.lang.String recommendations;
    
    @Column(name = "recommendations",length = 2147483647)
    public java.lang.String getRecommendations(){
        return this.recommendations;
    }
    
    public void setRecommendations(java.lang.String recommendations){
        this.recommendations = recommendations;
        super.addValidField("recommendations");
    }
    
  
    /** is_deleted
    *是否删除 1、Y 是 2、N 否
    */ 
    private java.lang.String isDeleted;
    
    @Column(name = "is_deleted",length = 1)
    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
        super.addValidField("isDeleted");
    }
    
  
    /** CREATOR
    *创建人
    */ 
    private java.lang.String creator;
    
    @Column(name = "CREATOR",length = 225)
    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
        super.addValidField("creator");
    }
    
  
    /** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;
    
    @Column(name = "CREATED_TIME",length = 19)
    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
        super.addValidField("createdTime");
    }
    
  
    /** MODIFIER
    *修改人
    */ 
    private java.lang.String modifier;
    
    @Column(name = "MODIFIER",length = 225)
    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
        super.addValidField("modifier");
    }
    
  
    /** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;
    
    @Column(name = "MODIFIED_TIME",length = 19)
    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
        super.addValidField("modifiedTime");
    }
    
  
    /** SYS_VERSION
    *乐观锁,版本号
    */ 
    private java.lang.Integer sysVersion;
    
    @Column(name = "SYS_VERSION",length = 10)
	@Version
    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
        super.addValidField("sysVersion");
    }
    

}