package cn.com.poc.communication.model;

import java.io.Serializable;
import cn.com.yict.framemax.data.model.BaseModelClass;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Id;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import javax.persistence.Version;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;

/**
 * Model class for biz_communication
 * 对话配置
 */
@Entity
@Table(name = "biz_communication")
@DynamicInsert
@DynamicUpdate
public class BizCommunicationModel extends BaseModelClass implements Serializable {

    private static final long serialVersionUID = 1L;
    
  
    /** id
    *
    */ 
    private java.lang.Integer id;
    
    @Column(name = "id",length = 10)
	@Id @GeneratedValue(strategy = GenerationType.AUTO) 
    public java.lang.Integer getId(){
        return this.id;
    }
    
    public void setId(java.lang.Integer id){
        this.id = id;
        super.addValidField("id");
    }
    
  
    /** language
    *对话语言 English Chinese
    */ 
    private java.lang.String language;
    
    @Column(name = "language",length = 100)
    public java.lang.String getLanguage(){
        return this.language;
    }
    
    public void setLanguage(java.lang.String language){
        this.language = language;
        super.addValidField("language");
    }
    
  
    /** communication_id
    *对话ID
    */ 
    private java.lang.String communicationId;
    
    @Column(name = "communication_id",length = 255)
    public java.lang.String getCommunicationId(){
        return this.communicationId;
    }
    
    public void setCommunicationId(java.lang.String communicationId){
        this.communicationId = communicationId;
        super.addValidField("communicationId");
    }
    
  
    /** theme_code
    *主题代码
    */ 
    private java.lang.String themeCode;
    
    @Column(name = "theme_code",length = 100)
    public java.lang.String getThemeCode(){
        return this.themeCode;
    }
    
    public void setThemeCode(java.lang.String themeCode){
        this.themeCode = themeCode;
        super.addValidField("themeCode");
    }
    
  
    /** standard_code
    *评分标准代码
    */ 
    private java.lang.String standardCode;
    
    @Column(name = "standard_code",length = 100)
    public java.lang.String getStandardCode(){
        return this.standardCode;
    }
    
    public void setStandardCode(java.lang.String standardCode){
        this.standardCode = standardCode;
        super.addValidField("standardCode");
    }
    
  
    /** is_deleted
    *是否删除 1、Y 是 2、N 否
    */ 
    private java.lang.String isDeleted;
    
    @Column(name = "is_deleted",length = 1)
    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
        super.addValidField("isDeleted");
    }
    
  
    /** CREATOR
    *创建人
    */ 
    private java.lang.String creator;
    
    @Column(name = "CREATOR",length = 225)
    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
        super.addValidField("creator");
    }
    
  
    /** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;
    
    @Column(name = "CREATED_TIME",length = 19)
    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
        super.addValidField("createdTime");
    }
    
  
    /** MODIFIER
    *修改人
    */ 
    private java.lang.String modifier;
    
    @Column(name = "MODIFIER",length = 225)
    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
        super.addValidField("modifier");
    }
    
  
    /** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;
    
    @Column(name = "MODIFIED_TIME",length = 19)
    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
        super.addValidField("modifiedTime");
    }
    
  
    /** SYS_VERSION
    *乐观锁,版本号
    */ 
    private java.lang.Integer sysVersion;
    
    @Column(name = "SYS_VERSION",length = 10)
	@Version
    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
        super.addValidField("sysVersion");
    }
    

}