package cn.com.poc.communication.model;

import cn.com.yict.framemax.data.model.BaseModelClass;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * Model class for biz_communication_assessment
 * 
 */
@Entity
@Table(name = "biz_communication_rank")
@DynamicInsert
@DynamicUpdate
public class BizCommunicationRankModel extends BaseModelClass implements Serializable {

    private static final long serialVersionUID = 1L;
    
  
    /** communication_rank_id
    *
    */ 
    private Integer communicationRankId;
    
    @Column(name = "communication_rank_id",length = 10)
	@Id @GeneratedValue(strategy = GenerationType.AUTO)
    public Integer getCommunicationRankId(){
        return this.communicationRankId;
    }
    
    public void setCommunicationRankId(Integer communicationRankId){
        this.communicationRankId = communicationRankId;
        super.addValidField("communicationRankId");
    }

    /** difficulty_grade
     * 等级难度
     */
    private String difficultyGrade;

    @Column(name = "difficulty_grade",length = 255)
    public String getDifficultyGrade(){
        return this.difficultyGrade;
    }

    public void setDifficultyGrade(String difficultyGrade){
        this.difficultyGrade = difficultyGrade;
        super.addValidField("difficultyGrade");
    }
    
    /** difficulty_text
    *发音评分
    */ 
    private String difficultyText;
    
    @Column(name = "difficulty_text",length = 2)
    public String getDifficultyText(){
        return this.difficultyText;
    }
    
    public void setDifficultyText(String difficultyText){
        this.difficultyText = difficultyText;
        super.addValidField("difficultyText");
    }
    

    /** is_deleted
    *是否删除 1、Y 是 2、N 否
    */ 
    private String isDeleted;
    
    @Column(name = "is_deleted",length = 1)
    public String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(String isDeleted){
        this.isDeleted = isDeleted;
        super.addValidField("isDeleted");
    }
    
  
    /** CREATOR
    *创建人
    */ 
    private String creator;
    
    @Column(name = "CREATOR",length = 225)
    public String getCreator(){
        return this.creator;
    }
    
    public void setCreator(String creator){
        this.creator = creator;
        super.addValidField("creator");
    }
    
  
    /** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;
    
    @Column(name = "CREATED_TIME",length = 19)
    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
        super.addValidField("createdTime");
    }
    
  
    /** MODIFIER
    *修改人
    */ 
    private String modifier;
    
    @Column(name = "MODIFIER",length = 225)
    public String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(String modifier){
        this.modifier = modifier;
        super.addValidField("modifier");
    }
    
  
    /** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;
    
    @Column(name = "MODIFIED_TIME",length = 19)
    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
        super.addValidField("modifiedTime");
    }
    
  
    /** SYS_VERSION
    *乐观锁,版本号
    */ 
    private Integer sysVersion;
    
    @Column(name = "SYS_VERSION",length = 10)
	@Version
    public Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(Integer sysVersion){
        this.sysVersion = sysVersion;
        super.addValidField("sysVersion");
    }
    

}