package cn.com.poc.communication.model;

import java.io.Serializable;

import cn.com.yict.framemax.data.model.BaseModelClass;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Id;

import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Version;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;

/**
 * Model class for biz_communication_record
 * 对话记录表
 */
@Entity
@Table(name = "biz_communication_record")
@DynamicInsert
@DynamicUpdate
public class BizCommunicationRecordModel extends BaseModelClass implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     * id
     */
    private java.lang.Integer id;

    @Column(name = "id", length = 10)
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    public java.lang.Integer getId() {
        return this.id;
    }

    public void setId(java.lang.Integer id) {
        this.id = id;
        super.addValidField("id");
    }


    /**
     * communication_id
     * 对话ID
     */
    private java.lang.String communicationId;

    @Column(name = "communication_id", length = 255)
    public java.lang.String getCommunicationId() {
        return this.communicationId;
    }

    public void setCommunicationId(java.lang.String communicationId) {
        this.communicationId = communicationId;
        super.addValidField("communicationId");
    }


    /**
     * timestamp
     * 时间戳
     */
    private java.lang.Long timestamp;

    @Column(name = "timestamp", length = 19)
    public java.lang.Long getTimestamp() {
        return this.timestamp;
    }

    public void setTimestamp(java.lang.Long timestamp) {
        this.timestamp = timestamp;
        super.addValidField("timestamp");
    }


    /**
     * speech_url
     * 语音地址
     */
    private java.lang.String speechUrl;

    @Column(name = "speech_url", length = 255)
    public java.lang.String getSpeechUrl() {
        return this.speechUrl;
    }

    public void setSpeechUrl(java.lang.String speechUrl) {
        this.speechUrl = speechUrl;
        super.addValidField("speechUrl");
    }


    /**
     * content
     * 语音文本
     */
    private java.lang.String content;

    @Column(name = "content", length = 2147483647)
    public java.lang.String getContent() {
        return this.content;
    }

    public void setContent(java.lang.String content) {
        this.content = content;
        super.addValidField("content");
    }

    /**
     * trans_content
     * 文本翻译
     */
    private String transContent;

    @Column(name = "trans_content", length = 2147483647)
    public String getTransContent() {
        return transContent;
    }

    public void setTransContent(String transContent) {
        this.transContent = transContent;
        super.addValidField("transContent");
    }

    /**
     * fluency_score
     * 流利度评分
     */
    private java.lang.Double fluencyScore;

    @Column(name = "fluency_score", length = 100)
    public Double getFluencyScore() {
        return fluencyScore;
    }

    public void setFluencyScore(Double fluencyScore) {
        this.fluencyScore = fluencyScore;
        super.addValidField("fluencyScore");
    }

    /**
     * accuracy_score
     * 准确度评分
     */
    private java.lang.Double accuracyScore;

    @Column(name = "accuracy_score", length = 100)
    public Double getAccuracyScore() {
        return accuracyScore;
    }

    public void setAccuracyScore(Double accuracyScore) {
        this.accuracyScore = accuracyScore;
        super.addValidField("accuracyScore");
    }

    /**
     * articulation_score
     * 发音评分
     */
    private java.lang.Double articulationScore;

    @Column(name = "articulation_score", length = 100)
    public Double getArticulationScore() {
        return articulationScore;
    }

    public void setArticulationScore(Double articulationScore) {
        this.articulationScore = articulationScore;
        super.addValidField("articulationScore");
    }


    /**
     * role
     * 角色 user-用户  assistant-助手
     */
    private java.lang.String role;

    @Column(name = "role", length = 100)
    public java.lang.String getRole() {
        return this.role;
    }

    public void setRole(java.lang.String role) {
        this.role = role;
        super.addValidField("role");
    }


    /**
     * is_deleted
     * 是否删除 1、Y 是 2、N 否
     */
    private java.lang.String isDeleted;

    @Column(name = "is_deleted", length = 1)
    public java.lang.String getIsDeleted() {
        return this.isDeleted;
    }

    public void setIsDeleted(java.lang.String isDeleted) {
        this.isDeleted = isDeleted;
        super.addValidField("isDeleted");
    }


    /**
     * CREATOR
     * 创建人
     */
    private java.lang.String creator;

    @Column(name = "CREATOR", length = 225)
    public java.lang.String getCreator() {
        return this.creator;
    }

    public void setCreator(java.lang.String creator) {
        this.creator = creator;
        super.addValidField("creator");
    }


    /**
     * CREATED_TIME
     * 创建时间
     */
    private java.util.Date createdTime;

    @Column(name = "CREATED_TIME", length = 19)
    public java.util.Date getCreatedTime() {
        return this.createdTime;
    }

    public void setCreatedTime(java.util.Date createdTime) {
        this.createdTime = createdTime;
        super.addValidField("createdTime");
    }


    /**
     * MODIFIER
     * 修改人
     */
    private java.lang.String modifier;

    @Column(name = "MODIFIER", length = 225)
    public java.lang.String getModifier() {
        return this.modifier;
    }

    public void setModifier(java.lang.String modifier) {
        this.modifier = modifier;
        super.addValidField("modifier");
    }


    /**
     * MODIFIED_TIME
     * 修改时间
     */
    private java.util.Date modifiedTime;

    @Column(name = "MODIFIED_TIME", length = 19)
    public java.util.Date getModifiedTime() {
        return this.modifiedTime;
    }

    public void setModifiedTime(java.util.Date modifiedTime) {
        this.modifiedTime = modifiedTime;
        super.addValidField("modifiedTime");
    }


    /**
     * SYS_VERSION
     * 乐观锁,版本号
     */
    private java.lang.Integer sysVersion;

    @Column(name = "SYS_VERSION", length = 10)
    @Version
    public java.lang.Integer getSysVersion() {
        return this.sysVersion;
    }

    public void setSysVersion(java.lang.Integer sysVersion) {
        this.sysVersion = sysVersion;
        super.addValidField("sysVersion");
    }


}