package cn.com.poc.communication.model;

import java.io.Serializable;
import cn.com.yict.framemax.data.model.BaseModelClass;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Id;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import javax.persistence.Version;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;

/**
 * Model class for biz_speech_to_text
 * 音频转文本
 */
@Entity
@Table(name = "biz_speech_to_text")
@DynamicInsert
@DynamicUpdate
public class BizSpeechToTextModel extends BaseModelClass implements Serializable {

    private static final long serialVersionUID = 1L;
    
  
    /** id
    *
    */ 
    private java.lang.Integer id;
    
    @Column(name = "id",length = 10)
	@Id @GeneratedValue(strategy = GenerationType.AUTO) 
    public java.lang.Integer getId(){
        return this.id;
    }
    
    public void setId(java.lang.Integer id){
        this.id = id;
        super.addValidField("id");
    }
    
  
    /** task_id
    *任务Id
    */ 
    private java.lang.String taskId;
    
    @Column(name = "task_id",length = 255)
    public java.lang.String getTaskId(){
        return this.taskId;
    }
    
    public void setTaskId(java.lang.String taskId){
        this.taskId = taskId;
        super.addValidField("taskId");
    }
    
  
    /** url
    *文件路径
    */ 
    private java.lang.String url;
    
    @Column(name = "url",length = 255)
    public java.lang.String getUrl(){
        return this.url;
    }
    
    public void setUrl(java.lang.String url){
        this.url = url;
        super.addValidField("url");
    }
    
  
    /** content
    *音频内容
    */ 
    private java.lang.String content;
    
    @Column(name = "content",length = 2147483647)
    public java.lang.String getContent(){
        return this.content;
    }
    
    public void setContent(java.lang.String content){
        this.content = content;
        super.addValidField("content");
    }
    
  
    /** timestamp
    *时间戳
    */ 
    private java.lang.Long timestamp;
    
    @Column(name = "timestamp",length = 19)
    public java.lang.Long getTimestamp(){
        return this.timestamp;
    }
    
    public void setTimestamp(java.lang.Long timestamp){
        this.timestamp = timestamp;
        super.addValidField("timestamp");
    }
    
  
    /** is_deleted
    *是否删除 1、Y 是 2、N 否
    */ 
    private java.lang.String isDeleted;
    
    @Column(name = "is_deleted",length = 1)
    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
        super.addValidField("isDeleted");
    }
    
  
    /** CREATOR
    *创建人
    */ 
    private java.lang.String creator;
    
    @Column(name = "CREATOR",length = 225)
    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
        super.addValidField("creator");
    }
    
  
    /** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;
    
    @Column(name = "CREATED_TIME",length = 19)
    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
        super.addValidField("createdTime");
    }
    
  
    /** MODIFIER
    *修改人
    */ 
    private java.lang.String modifier;
    
    @Column(name = "MODIFIER",length = 225)
    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
        super.addValidField("modifier");
    }
    
  
    /** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;
    
    @Column(name = "MODIFIED_TIME",length = 19)
    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
        super.addValidField("modifiedTime");
    }
    
  
    /** SYS_VERSION
    *乐观锁,版本号
    */ 
    private java.lang.Integer sysVersion;
    
    @Column(name = "SYS_VERSION",length = 10)
	@Version
    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
        super.addValidField("sysVersion");
    }
    

}