package cn.com.poc.communication.rest;

import cn.com.poc.communication.dto.SaveCharacterCommunicationDto;
import cn.com.yict.framemax.core.rest.BaseRest;
import cn.com.yict.framemax.data.model.PagingInfo;
import cn.com.yict.framemax.web.permission.Access;
import cn.com.yict.framemax.web.permission.Permission;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * @author jennie.chen
 * @date 2024/7/25
 **/
@Permission(Access.Anonymous)
public interface BizCharacterCommunicationRest extends BaseRest {

    /**
     * 分页获取角色列表
     *
     * @param pagingInfo
     * @throws Exception
     */
    List<SaveCharacterCommunicationDto> getCharacterList(@RequestBody PagingInfo pagingInfo) throws Exception;

    /**
     * 对角色排序
     *
     * @throws Exception
     */
    void sortCharacter(@RequestParam Integer sourceId, @RequestParam Integer targetId) throws Exception;

    /**
     * 根据角色对话ID修改角色是否显示
     *
     * @param bizCharacterCommunicationId
     * @throws Exception
     */
    void isDisplay(@RequestParam Integer bizCharacterCommunicationId) throws Exception;

    /**
     * 根据角色对话ID获取某一个对话的角色对话配置
     * @param bizCharacterCommunicationId
     * @throws Exception
     */
    SaveCharacterCommunicationDto getCharacterCommunication(@RequestParam Integer bizCharacterCommunicationId) throws Exception;

    /**
     * 创建角色对话
     *
     * @param saveCharacterCommunicationDto
     * @throws Exception
     */
    SaveCharacterCommunicationDto save(@RequestBody SaveCharacterCommunicationDto saveCharacterCommunicationDto) throws Exception;

    /**
     * 更新角色对话
     *
     * @param saveCharacterCommunicationDto
     * @throws Exception
     */
    SaveCharacterCommunicationDto update(@RequestBody SaveCharacterCommunicationDto saveCharacterCommunicationDto) throws Exception;

    /**
     * 根据角色对话ID删除角色
     *
     * @param bizCharacterCommunicationId
     * @throws Exception
     */
    void deleteCharacter(@RequestParam Integer bizCharacterCommunicationId) throws Exception;
}
