package cn.com.poc.communication.rest;


import cn.com.poc.communication.entity.BizCommunicationRankEntity;
import cn.com.poc.communication.result.CommunicationResult;
import cn.com.yict.framemax.core.rest.BaseRest;
import cn.com.yict.framemax.data.model.PagingInfo;
import cn.com.yict.framemax.web.permission.Access;
import cn.com.yict.framemax.web.permission.Permission;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@Permission(Access.Safety)
@RequestMapping("/rest/web/v1/communicationRankRest/")
public interface BizCommunicationRankRest extends BaseRest {

    /**
     * 创建对话等级
     *
     * @param bizCommunicationRankEntity
     * @throws Exception
     */
    @RequestMapping(value = "createCommunicateRank.json", method = RequestMethod.POST, headers = {"Content-Type=application/json"})
    void createCommunicateRank(@RequestBody BizCommunicationRankEntity bizCommunicationRankEntity) throws Exception;

    /**
     * 更新对话等级
     *
     * @param bizCommunicationRankEntity
     * @throws Exception
     */
    @RequestMapping(value = "updateCommunicateRank.json", method = RequestMethod.POST, headers = {"Content-Type=application/json"})
    void updateCommunicateRank(@RequestBody BizCommunicationRankEntity bizCommunicationRankEntity) throws Exception;

    /**
     * 删除对话等级
     *
     * @param communicationRankId
     * @throws Exception
     */
    @RequestMapping(value = "removeCommunicateRank.json", method = RequestMethod.POST)
    void removeCommunicateRank(@RequestParam Integer communicationRankId) throws Exception;

    /**
     * 等级列表
     *
     * @return
     * @throws Exception
     */
    @RequestMapping(value = "communicationRankList.json", method = RequestMethod.POST, headers = {"Content-Type=application/json"})
    List<CommunicationResult> communicationRankList(@RequestBody BizCommunicationRankEntity BizCommunicationRankEntity, PagingInfo pagingInfo) throws Exception;


}