package cn.com.poc.communication.service;

import cn.com.poc.communication.entity.BizCommunicationGradeWordsEntity;
import cn.com.poc.communication.query.SearchGradeWordsQueryCondition;
import cn.com.poc.communication.query.SearchGradeWordsQueryItem;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.List;

public interface BizCommunicationGradeWordsService extends BaseService {


    /**
     * 保存
     *
     * @param entity
     * @return
     */
    BizCommunicationGradeWordsEntity save(BizCommunicationGradeWordsEntity entity);


    /**
     * 删除
     *
     * @param entity
     */
    void deleted(BizCommunicationGradeWordsEntity entity);

    /**
     * 批量保存
     *
     * @param entities
     * @throws Exception
     */
    void batchSave(List<BizCommunicationGradeWordsEntity> entities) throws Exception;

    /**
     * 获取列表
     *
     * @param entity
     * @return
     * @throws Exception
     */
    List<BizCommunicationGradeWordsEntity> findByExample(BizCommunicationGradeWordsEntity entity) throws Exception;

    /**
     * 获取列表
     *
     * @param entity
     * @param pagingInfo
     * @return
     * @throws Exception
     */
    List<BizCommunicationGradeWordsEntity> findByExample(BizCommunicationGradeWordsEntity entity, PagingInfo pagingInfo) throws Exception;


    /**
     * 查询
     *
     * @param condition
     * @param pagingInfo
     * @return
     * @throws Exception
     */
    List<SearchGradeWordsQueryItem> searchWords(SearchGradeWordsQueryCondition condition,PagingInfo pagingInfo) throws Exception;

    /**
     * 删除重复
     */
    void removeRepeated() throws Exception;

    /**
     * 删除单词
     */
    void deletedWords(List<String> words) throws Exception;

    /**
     * 删除单词 按等级
     */
    void deletedByGrade(String grade) throws Exception;

}