package cn.com.poc.communication.service;

import cn.com.poc.communication.entity.BizCommunicationScoringStandardEntity;
import cn.com.poc.communication.query.ScoringStandardQueryCondition;
import cn.com.poc.communication.query.ScoringStandardQueryItem;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.List;

public interface BizCommunicationScoringStandardService extends BaseService {

    BizCommunicationScoringStandardEntity getInfoByGradeAndScoringItem(String difficultyGrade, String scoringItem);

    BizCommunicationScoringStandardEntity getInfoByStandardCodeAndScoringItem(String standardCode, String scoringItem);

    /**
     * @param entity
     * @return
     * @throws Exception
     */
    List<BizCommunicationScoringStandardEntity> findByExample(BizCommunicationScoringStandardEntity entity) throws Exception;

    /**
     * 判断standard是否存在
     */
    Boolean isExists(String standardCode);

    /**
     * 保存
     */
    BizCommunicationScoringStandardEntity save(BizCommunicationScoringStandardEntity entity) throws Exception;

    /**
     * 删除
     */
    void deletedByStandardCode(String standardCode) throws Exception;

    /**
     * 更新
     */
    BizCommunicationScoringStandardEntity update(BizCommunicationScoringStandardEntity entity) throws Exception;

    /**
     * 查询
     */
    List<ScoringStandardQueryItem> query(ScoringStandardQueryCondition condition, PagingInfo pagingInfo) throws Exception;

}