package cn.com.poc.communication.service.impl;

import cn.com.poc.common.constant.CommonConstant;
import cn.com.poc.communication.convert.BizCommunicationAssessmentConvert;
import cn.com.poc.communication.entity.BizCommunicationAssessmentEntity;
import cn.com.poc.communication.model.BizCommunicationAssessmentModel;
import cn.com.poc.communication.repository.BizCommunicationAssessmentRepository;
import cn.com.poc.communication.service.BizCommunicationAssessmentService;
import cn.com.yict.framemax.core.service.impl.BaseServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import javax.annotation.Resource;
import java.util.List;

@Service
public class BizCommunicationAssessmentServiceImpl extends BaseServiceImpl
        implements BizCommunicationAssessmentService {

    /**
     * 保存
     *
     * @param entity
     * @return
     * @throws Exception
     */

    @Resource
    private BizCommunicationAssessmentRepository bizCommunicationAssessmentRepository;

    @Override
    public BizCommunicationAssessmentEntity save(BizCommunicationAssessmentEntity entity) throws Exception {
        BizCommunicationAssessmentModel bizCommunicationAssessmentModel = BizCommunicationAssessmentConvert.entityToModel(entity);
        BizCommunicationAssessmentModel model = this.bizCommunicationAssessmentRepository.save(bizCommunicationAssessmentModel);
        return BizCommunicationAssessmentConvert.modelToEntity(model);
    }

    @Override
    public BizCommunicationAssessmentEntity getByCommunicationId(String communicationId) throws Exception {
        BizCommunicationAssessmentModel bizCommunicationAssessmentModel = new BizCommunicationAssessmentModel();
        bizCommunicationAssessmentModel.setCommunicationId(communicationId);
        bizCommunicationAssessmentModel.setIsDeleted(CommonConstant.IsDeleted.N);
        List<BizCommunicationAssessmentModel> models = this.bizCommunicationAssessmentRepository.findByExample(bizCommunicationAssessmentModel);
        if (CollectionUtils.isEmpty(models)) {
            return null;
        }
        return BizCommunicationAssessmentConvert.modelToEntity(models.get(0));
    }
}