package cn.com.poc.communication.service.impl;

import cn.com.poc.common.constant.CommonConstant;
import cn.com.poc.communication.convert.BizCommunicationRecordConvert;
import cn.com.poc.communication.entity.BizCommunicationRecordEntity;
import cn.com.yict.framemax.core.service.impl.BaseServiceImpl;
import cn.com.poc.communication.service.BizCommunicationRecordService;
import cn.com.poc.communication.model.BizCommunicationRecordModel;
import cn.com.poc.communication.repository.BizCommunicationRecordRepository;
import cn.com.yict.framemax.data.model.PagingInfo;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Comparator;
import java.util.List;
import java.util.stream.Collectors;
import javax.annotation.Resource;

@Service
public class BizCommunicationRecordServiceImpl extends BaseServiceImpl
        implements BizCommunicationRecordService {

    @Resource
    private BizCommunicationRecordRepository repository;

    @Override
    public List<BizCommunicationRecordEntity> get(String communicationId) throws Exception {
        List<BizCommunicationRecordEntity> result = new ArrayList<>();

        BizCommunicationRecordModel bizCommunicationRecordModel = new BizCommunicationRecordModel();
        bizCommunicationRecordModel.setCommunicationId(communicationId);
        bizCommunicationRecordModel.setIsDeleted(CommonConstant.IsDeleted.N);
        List<BizCommunicationRecordModel> models = this.repository.findByExample(bizCommunicationRecordModel);
        if (CollectionUtils.isNotEmpty(models)) {
            result = models.stream().map(BizCommunicationRecordConvert::modelToEntity).sorted(Comparator.comparing(BizCommunicationRecordEntity::getTimestamp)).collect(Collectors.toList());
        }
        return result;
    }

    @Override
    public List<BizCommunicationRecordEntity> findByExample(BizCommunicationRecordEntity entity, PagingInfo pagingInfo) throws Exception {
        BizCommunicationRecordModel bizCommunicationRecordModel = BizCommunicationRecordConvert.entityToModel(entity);
        List<BizCommunicationRecordModel> models = this.repository.findByExample(bizCommunicationRecordModel, pagingInfo);
        List<BizCommunicationRecordEntity> result = new ArrayList<>();
        if (CollectionUtils.isNotEmpty(models)) {
            result = models.stream().map(BizCommunicationRecordConvert::modelToEntity).sorted(Comparator.comparing(BizCommunicationRecordEntity::getTimestamp)).collect(Collectors.toList());
        }
        return result;
    }

    @Override
    public BizCommunicationRecordEntity save(BizCommunicationRecordEntity entity) throws Exception {
        BizCommunicationRecordModel bizCommunicationRecordModel = BizCommunicationRecordConvert.entityToModel(entity);
        BizCommunicationRecordModel model = this.repository.save(bizCommunicationRecordModel);
        return BizCommunicationRecordConvert.modelToEntity(model);
    }

    @Override
    public void del(Integer id) throws Exception {
        BizCommunicationRecordModel bizCommunicationRecordModel = this.repository.get(id);
        if (bizCommunicationRecordModel != null) {
            bizCommunicationRecordModel.setIsDeleted(CommonConstant.IsDeleted.Y);
            this.repository.save(bizCommunicationRecordModel);
        }
    }
}