package cn.com.poc.communication.service.impl;

import cn.com.poc.communication.convert.BizCommunicationConvert;
import cn.com.poc.communication.entity.BizCommunicationEntity;
import cn.com.poc.communication.model.BizCommunicationModel;
import cn.com.yict.framemax.core.service.impl.BaseServiceImpl;
import cn.com.poc.communication.service.BizCommunicationService;
import cn.com.poc.communication.repository.BizCommunicationRepository;
import cn.com.yict.framemax.data.model.PagingInfo;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;
import javax.annotation.Resource;

@Service
public class BizCommunicationServiceImpl extends BaseServiceImpl
        implements BizCommunicationService {

    @Resource
    private BizCommunicationRepository repository;

    @Override
    public BizCommunicationEntity get(Integer id) throws Exception {
        return BizCommunicationConvert.modelToEntity(this.repository.get(id));
    }

    @Override
    public BizCommunicationEntity getByCommunicationId(String communicationId) throws Exception {
        BizCommunicationModel bizCommunicationModel = new BizCommunicationModel();
        bizCommunicationModel.setCommunicationId(communicationId);
        List<BizCommunicationModel> models = this.repository.findByExample(bizCommunicationModel);
        if (CollectionUtils.isNotEmpty(models)) {
            return BizCommunicationConvert.modelToEntity(models.get(0));
        }
        return null;
    }

    @Override
    public List<BizCommunicationEntity> findByExample(BizCommunicationEntity entity, PagingInfo pagingInfo) throws Exception {
        return this.repository
                .findByExample(BizCommunicationConvert.entityToModel(entity), pagingInfo)
                .stream()
                .map(BizCommunicationConvert::modelToEntity)
                .collect(Collectors.toList());
    }

    @Override
    public BizCommunicationEntity save(BizCommunicationEntity entity) throws Exception {
        return BizCommunicationConvert.modelToEntity(this.repository.save(BizCommunicationConvert.entityToModel(entity)));
    }
}