package cn.com.poc.communication.service.impl;

import cn.com.poc.common.constant.CommonConstant;
import cn.com.poc.common.utils.Assert;
import cn.com.poc.communication.convert.BizSpeechToTextConvert;
import cn.com.poc.communication.entity.BizSpeechToTextEntity;
import cn.com.yict.framemax.core.exception.BusinessException;
import cn.com.yict.framemax.core.service.impl.BaseServiceImpl;
import cn.com.poc.communication.service.BizSpeechToTextService;
import cn.com.poc.communication.model.BizSpeechToTextModel;
import cn.com.poc.communication.repository.BizSpeechToTextRepository;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.stereotype.Service;

import java.util.List;
import javax.annotation.Resource;

@Service
public class BizSpeechToTextServiceImpl extends BaseServiceImpl
        implements BizSpeechToTextService {

    @Resource
    private BizSpeechToTextRepository repository;

    @Override
    public BizSpeechToTextEntity get(Integer id) throws Exception {
        Assert.notNull(id);
        BizSpeechToTextModel bizSpeechToTextModel = this.repository.get(id);
        return BizSpeechToTextConvert.modelToEntity(bizSpeechToTextModel);
    }

    @Override
    public BizSpeechToTextEntity getByTaskId(String taskId) {
        Assert.notBlank(taskId);
        BizSpeechToTextModel model = new BizSpeechToTextModel();
        model.setTaskId(taskId);
        model.setIsDeleted(CommonConstant.IsDeleted.N);
        List<BizSpeechToTextModel> models = this.repository.findByExample(model);
        if (CollectionUtils.isNotEmpty(models)) {
            return BizSpeechToTextConvert.modelToEntity(models.get(0));
        }
        return null;
    }

    @Override
    public BizSpeechToTextEntity save(BizSpeechToTextEntity entity) throws BusinessException {
        Assert.notNull(entity);
        BizSpeechToTextModel bizSpeechToTextModel = BizSpeechToTextConvert.entityToModel(entity);
        BizSpeechToTextModel saveModel = this.repository.save(bizSpeechToTextModel);
        return BizSpeechToTextConvert.modelToEntity(saveModel);
    }
}