package cn.com.poc.conversational.model;

import java.io.Serializable;
import cn.com.yict.framemax.data.model.BaseModelClass;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Id;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import javax.persistence.Version;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;

/**
 * Model class for biz_conversational_topic
 * 会话主题表
 */
@Entity
@Table(name = "biz_conversational_topic")
@DynamicInsert
@DynamicUpdate
public class BizConversationalTopicModel extends BaseModelClass implements Serializable {

    private static final long serialVersionUID = 1L;
    
  
    /** id
    *主键
    */ 
    private java.lang.Integer id;
    
    @Column(name = "id",length = 10)
	@Id @GeneratedValue(strategy = GenerationType.AUTO) 
    public java.lang.Integer getId(){
        return this.id;
    }
    
    public void setId(java.lang.Integer id){
        this.id = id;
        super.addValidField("id");
    }
    
  
    /** topic_code
    *主题代码
    */ 
    private java.lang.String topicCode;
    
    @Column(name = "topic_code",length = 100)
    public java.lang.String getTopicCode(){
        return this.topicCode;
    }
    
    public void setTopicCode(java.lang.String topicCode){
        this.topicCode = topicCode;
        super.addValidField("topicCode");
    }
    
  
    /** topic_name
    *主题名
    */ 
    private java.lang.String topicName;
    
    @Column(name = "topic_name",length = 100)
    public java.lang.String getTopicName(){
        return this.topicName;
    }
    
    public void setTopicName(java.lang.String topicName){
        this.topicName = topicName;
        super.addValidField("topicName");
    }
    
  
    /** topic_language
    *主题语种 zh-CN ,en-US
    */ 
    private java.lang.String topicLanguage;
    
    @Column(name = "topic_language",length = 100)
    public java.lang.String getTopicLanguage(){
        return this.topicLanguage;
    }
    
    public void setTopicLanguage(java.lang.String topicLanguage){
        this.topicLanguage = topicLanguage;
        super.addValidField("topicLanguage");
    }
    
  
    /** prompt
    *系统提示语
    */ 
    private java.lang.String prompt;
    
    @Column(name = "prompt",length = 2147483647)
    public java.lang.String getPrompt(){
        return this.prompt;
    }
    
    public void setPrompt(java.lang.String prompt){
        this.prompt = prompt;
        super.addValidField("prompt");
    }
    
  
    /** assistant_content
    *助手词
    */ 
    private java.lang.String assistantContent;
    
    @Column(name = "assistant_content",length = 2147483647)
    public java.lang.String getAssistantContent(){
        return this.assistantContent;
    }
    
    public void setAssistantContent(java.lang.String assistantContent){
        this.assistantContent = assistantContent;
        super.addValidField("assistantContent");
    }
    
  
    /** max_tokens
    *openai 参数
    */ 
    private java.lang.Integer maxTokens;
    
    @Column(name = "max_tokens",length = 10)
    public java.lang.Integer getMaxTokens(){
        return this.maxTokens;
    }
    
    public void setMaxTokens(java.lang.Integer maxTokens){
        this.maxTokens = maxTokens;
        super.addValidField("maxTokens");
    }
    
  
    /** presence_penalty
    *openai 参数
    */ 
    private java.lang.Float presencePenalty;
    
    @Column(name = "presence_penalty",length = 22)
    public java.lang.Float getPresencePenalty(){
        return this.presencePenalty;
    }
    
    public void setPresencePenalty(java.lang.Float presencePenalty){
        this.presencePenalty = presencePenalty;
        super.addValidField("presencePenalty");
    }
    
  
    /** temperature
    *openai 参数
    */ 
    private java.lang.Float temperature;
    
    @Column(name = "temperature",length = 22)
    public java.lang.Float getTemperature(){
        return this.temperature;
    }
    
    public void setTemperature(java.lang.Float temperature){
        this.temperature = temperature;
        super.addValidField("temperature");
    }
    
  
    /** top_p
    *openai 参数
    */ 
    private java.lang.Float topP;
    
    @Column(name = "top_p",length = 22)
    public java.lang.Float getTopP(){
        return this.topP;
    }
    
    public void setTopP(java.lang.Float topP){
        this.topP = topP;
        super.addValidField("topP");
    }
    
  
    /** is_deleted
    *是否删除 1、Y 是 2、N 否
    */ 
    private java.lang.String isDeleted;
    
    @Column(name = "is_deleted",length = 1)
    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
        super.addValidField("isDeleted");
    }
    
  
    /** CREATOR
    *创建人
    */ 
    private java.lang.String creator;
    
    @Column(name = "CREATOR",length = 50)
    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
        super.addValidField("creator");
    }
    
  
    /** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;
    
    @Column(name = "CREATED_TIME",length = 19)
    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
        super.addValidField("createdTime");
    }
    
  
    /** MODIFIER
    *修改人
    */ 
    private java.lang.String modifier;
    
    @Column(name = "MODIFIER",length = 50)
    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
        super.addValidField("modifier");
    }
    
  
    /** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;
    
    @Column(name = "MODIFIED_TIME",length = 19)
    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
        super.addValidField("modifiedTime");
    }
    
  
    /** SYS_VERSION
    *版本号
    */ 
    private java.lang.Integer sysVersion;
    
    @Column(name = "SYS_VERSION",length = 10)
	@Version
    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
        super.addValidField("sysVersion");
    }
    

}