package cn.com.poc.conversational.service.impl;

import cn.com.poc.common.constant.CommonConstant;
import cn.com.poc.conversational.convert.ConversationalGradeWordsRelationConvert;
import cn.com.poc.conversational.entity.BizConversationalGradeWordsRelationEntity;
import cn.com.yict.framemax.core.service.impl.BaseServiceImpl;
import cn.com.poc.conversational.service.BizConversationalGradeWordsRelationService;
import cn.com.poc.conversational.model.BizConversationalGradeWordsRelationModel;
import cn.com.poc.conversational.repository.BizConversationalGradeWordsRelationRepository;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;
import javax.annotation.Resource;

@Service
public class BizConversationalGradeWordsRelationServiceImpl extends BaseServiceImpl
        implements BizConversationalGradeWordsRelationService {

    @Resource
    private BizConversationalGradeWordsRelationRepository repository;

    @Override
    public BizConversationalGradeWordsRelationEntity getWordsByCodeAndGrade(String code, String grade) {
        BizConversationalGradeWordsRelationModel bizConversationalGradeWordsRelationModel = new BizConversationalGradeWordsRelationModel();
        bizConversationalGradeWordsRelationModel.setTopicCode(code);
        bizConversationalGradeWordsRelationModel.setDifficultyGrade(grade);
        bizConversationalGradeWordsRelationModel.setIsDeleted(CommonConstant.IsDeleted.N);
        List<BizConversationalGradeWordsRelationModel> models = this.repository.findByExample(bizConversationalGradeWordsRelationModel, null);
        if (CollectionUtils.isNotEmpty(models)) {
            return ConversationalGradeWordsRelationConvert.modelToEntity(models.get(0));
        }
        return null;
    }

    @Override
    public List<BizConversationalGradeWordsRelationEntity> conversationalGradeWordsRelationList(BizConversationalGradeWordsRelationEntity conversationalGradeWordsRelationEntity) {

        List<String> difficultyGradeList = conversationalGradeWordsRelationEntity.getDifficultyGradeList();

        String str = difficultyGradeList.stream().collect(Collectors.joining(","));

        List<BizConversationalGradeWordsRelationModel> bizConversationalGradeWordsRelationModels = this.sqlDao.querySQL(BizConversationalGradeWordsRelationModel.class, "select * from biz_conversational_grade_words_relation where difficulty_grade in (?) and is_deleted = 'N'", difficultyGradeList);

        List<BizConversationalGradeWordsRelationEntity> bizConversationalGradeWordsRelationEntityList = new ArrayList<BizConversationalGradeWordsRelationEntity>();
        if (CollectionUtils.isNotEmpty(bizConversationalGradeWordsRelationModels)) {
            bizConversationalGradeWordsRelationEntityList = bizConversationalGradeWordsRelationModels.stream().map(ConversationalGradeWordsRelationConvert::modelToEntity).collect(Collectors.toList());
        }
        return bizConversationalGradeWordsRelationEntityList;
    }
}
