package cn.com.poc.conversational.service.impl;

import cn.com.poc.common.constant.CommonConstant;
import cn.com.poc.conversational.convert.ConversationalSuggestConvert;
import cn.com.poc.conversational.entity.BizConversationalSuggestEntity;
import cn.com.yict.framemax.core.service.impl.BaseServiceImpl;
import cn.com.poc.conversational.service.BizConversationalSuggestService;
import cn.com.poc.conversational.model.BizConversationalSuggestModel;
import cn.com.poc.conversational.repository.BizConversationalSuggestRepository;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;
import org.springframework.util.Assert;
import org.springframework.util.CollectionUtils;

import java.util.List;
import javax.annotation.Resource;

@Service
public class BizConversationalSuggestServiceImpl extends BaseServiceImpl
        implements BizConversationalSuggestService {

    @Resource
    private BizConversationalSuggestRepository repository;

    @Override
    public BizConversationalSuggestEntity getByThemeCode(String themeCode){
        Assert.isTrue(StringUtils.isNotBlank(themeCode));
        BizConversationalSuggestModel bizConversationalSuggestModel = new BizConversationalSuggestModel();
        bizConversationalSuggestModel.setThemeCode(themeCode);
        bizConversationalSuggestModel.setIsDeleted(CommonConstant.IsDeleted.N);
        List<BizConversationalSuggestModel> models = this.repository.findByExample(bizConversationalSuggestModel);
        if (CollectionUtils.isEmpty(models)) {
            return null;
        }

        return ConversationalSuggestConvert.modelToEntity(models.get(0));
    }
}