package cn.com.poc.expose.rest;

import cn.com.poc.expose.dto.GetCommunicationContextResult;
import cn.com.poc.expose.dto.InitCommunicationResponse;
import cn.com.poc.expose.dto.InitCommunicationResult;
import cn.com.poc.expose.dto.TextToAudioResponse;
import cn.com.yict.framemax.core.rest.BaseRest;
import cn.com.yict.framemax.web.permission.Access;
import cn.com.yict.framemax.web.permission.Permission;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;


/**
 * @author alex.yao
 * @date 2023/11/23
 **/
@Permission(Access.Anonymous)
public interface CommunicationRest extends BaseRest {


    /**
     * 初始化口语
     *
     * @return
     * @throws Exception
     */
    InitCommunicationResult initCommunication(@RequestBody InitCommunicationResponse response) throws Exception;

    /**
     * 文本转音频
     *
     * @param response
     * @return 音频base64
     */
    String textToAudio(@RequestBody TextToAudioResponse response) throws Exception;


    /**
     * 获取上下文
     *
     * @param communicationId
     * @return
     * @throws Exception
     */
    List<GetCommunicationContextResult> getCommunicationContext(@RequestParam String communicationId) throws Exception;


}
