package cn.com.poc.expose.rest.impl;


import cn.com.poc.common.utils.Assert;
import cn.com.poc.communication.service.BizCommunicationThemeService;
import cn.com.poc.expose.dto.GetCommunicationContextResult;
import cn.com.poc.expose.dto.InitCommunicationResponse;
import cn.com.poc.expose.dto.InitCommunicationResult;
import cn.com.poc.expose.dto.TextToAudioResponse;
import cn.com.poc.expose.rest.CommunicationRest;
import cn.com.poc.expose.service.CommunicationService;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author alex.yao
 * @date 2023/11/23
 **/
@Component
public class CommunicationRestImpl implements CommunicationRest {

    @Resource
    private CommunicationService communicationService;


    @Resource
    private BizCommunicationThemeService bizCommunicationThemeService;


    @Override
    public InitCommunicationResult initCommunication(InitCommunicationResponse response) throws Exception {
        Assert.notBlank(response.getThemeCode(), "theme can not null");
        Assert.isTrue(bizCommunicationThemeService.themeCodeIsExists(response.getThemeCode()), "Theme Code does not exist :" + response.getThemeCode());
        return communicationService.initCommunication(response);
    }

    @Override
    public String textToAudio(TextToAudioResponse response) throws Exception {
        return communicationService.textToAudio(response);
    }

    @Override
    public List<GetCommunicationContextResult> getCommunicationContext(String communicationId) throws Exception {
        return communicationService.getCommunicationContext(communicationId);
    }

}
