package cn.com.poc.expose.service;

import cn.com.poc.expose.dto.GetCommunicationContextResult;
import cn.com.poc.expose.dto.InitCommunicationResponse;
import cn.com.poc.expose.dto.InitCommunicationResult;
import cn.com.poc.expose.dto.TextToAudioResponse;

import java.util.List;

/**
 * @author alex.yao
 * @date 2023/11/23
 **/
public interface CommunicationService {


    /**
     * 初始化口语
     *
     * @return
     * @throws Exception
     */
    InitCommunicationResult initCommunication(InitCommunicationResponse response) throws Exception;

    /**
     * 文本转音频
     *
     * @param response
     * @return 音频base64
     */
    String textToAudio(TextToAudioResponse response) throws Exception;

    /**
     * 会话上下文
     */
    List<GetCommunicationContextResult> getCommunicationContext(String communicationId) throws Exception;

}
