package cn.com.poc.expose.websocket.constant;

import cn.com.poc.common.utils.StringUtils;
import cn.com.poc.expose.websocket.handler.AbstractWsHandler;
import cn.com.poc.expose.websocket.handler.CantoneseCommunicationHandler;
import cn.com.poc.expose.websocket.handler.SpeechToTextHandler;

public class WsHandlerMatcher {
    final private static String SPEECH_TO_TEXT = "/websocket/v1/speechToText.ws";
    final private static String CANTONESE_COMMUNICATION = "/websocket/v1/cantoneseCommunication.ws";

    public static AbstractWsHandler getWsHandlerClass(String path) {
        if (StringUtils.isBlank(path)) {
            return null;
        }
        if (!path.endsWith("ws")) {
            int lastIndex = path.indexOf("?");
            path = path.substring(0, lastIndex);
        }
        AbstractWsHandler handler = null;
        switch (path) {
            case CANTONESE_COMMUNICATION:
                handler = new CantoneseCommunicationHandler();
                break;
            case SPEECH_TO_TEXT:
                handler = new SpeechToTextHandler();
                break;
        }
        return handler;
    }
}

