package cn.com.poc.message.service.impl;

import cn.com.poc.common.constant.CommonConstant;
import cn.com.poc.communication.entity.BizCommunicationRecordEntity;
import cn.com.poc.communication.service.BizCommunicationRecordService;
import cn.com.poc.message.entity.CommunicationRecordMessage;
import cn.com.poc.message.service.CommunicationRecordConsumerService;
import cn.com.poc.message.topic.CommunicationRecordTopic;
import cn.com.yict.framemax.tumbleweed.client.annotation.Consumer;
import com.github.houbb.opencc4j.util.ZhConverterUtil;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @author alex.yao
 * @date 2023/11/27
 **/
@Service
public class CommunicationRecordConsumerServiceImpl implements CommunicationRecordConsumerService {

    @Resource
    private BizCommunicationRecordService bizCommunicationRecordService;

    @Override
    @Consumer(topic = CommunicationRecordTopic.COMMUNICATION_RECORD, scale = 2)
    public void record(CommunicationRecordMessage message) throws Exception {
        BizCommunicationRecordEntity bizCommunicationRecordEntity = new BizCommunicationRecordEntity();
        bizCommunicationRecordEntity.setCommunicationId(message.getCommunicationId());
        bizCommunicationRecordEntity.setTimestamp(message.getTimestamp());
        bizCommunicationRecordEntity.setSpeechUrl(message.getSpeechUrl());
        bizCommunicationRecordEntity.setContent(message.getContent());
        bizCommunicationRecordEntity.setRole(message.getRole());
        bizCommunicationRecordEntity.setAccuracyScore(message.getAccuracyScore());
        bizCommunicationRecordEntity.setFluencyScore(message.getFluencyScore());
        bizCommunicationRecordEntity.setArticulationScore(message.getArticulationScore());
        bizCommunicationRecordEntity.setIsDeleted(CommonConstant.IsDeleted.N);
        bizCommunicationRecordEntity.setTransContent(ZhConverterUtil.convertToTraditional(message.getContent()));
        bizCommunicationRecordService.save(bizCommunicationRecordEntity);
    }
}
