package cn.com.poc.spokenscene.aggregation;

import cn.com.poc.spokenscene.entity.BizSpokenSceneCategorizationEntity;
import cn.com.yict.framemax.core.exception.BusinessException;

import java.util.Collection;

public interface SpokenSceneCategorizationService {

    /**
     * 创建场景分类
     *
     * @param bizSpokenSceneCategorizationEntity 场景分类实体
     */
    BizSpokenSceneCategorizationEntity createSceneCategorization(BizSpokenSceneCategorizationEntity bizSpokenSceneCategorizationEntity) throws BusinessException;

    /**
     * 场景分类列表
     */
    Collection<BizSpokenSceneCategorizationEntity> getSceneCategorizations();

    /**
     * 场景分类排序
     *
     * @param sceneCategorizationId 场景分类id
     * @param location              排序位置
     */
    BizSpokenSceneCategorizationEntity sortedSceneCategorization(Long sceneCategorizationId, Integer location);

    /**
     * 更新场景分类详情
     *
     * @param bizSpokenSceneCategorizationEntity 场景分类实体
     */
    BizSpokenSceneCategorizationEntity updateSceneCategorization(BizSpokenSceneCategorizationEntity bizSpokenSceneCategorizationEntity);

    /**
     * 删除场景分类
     *
     * @param sceneCategorizationId 场景分类id
     */
    void delSceneCategorizations(Long sceneCategorizationId);

}
