package cn.com.poc.spokenscene.aggregation;

import cn.com.poc.spokenscene.entity.BizSpokenSentencesAudioGenerationRelationEntity;
import cn.com.poc.spokenscene.entity.GeneratedSentencesAudioEntity;
import cn.com.poc.spokenscene.entity.SaveSpokenSceneConversationEntity;
import cn.com.poc.spokenscene.query.SpokenSceneConversationQueryItem;

import java.util.List;

public interface SpokenSceneConversationService {

    /**
     * 生成情景口语对话 文案【AI】
     *
     * @param sceneContent 情景内容
     * @return
     */
    Object generatedConversation(String sceneContent);


    /**
     * 保存情景口语对话
     */
    void saveConversation(SaveSpokenSceneConversationEntity entity);

    /**
     * 获取情景口语配置
     *
     * @param spokenSceneId 口语场景ID
     */
    List<SpokenSceneConversationQueryItem> getConversation(Long spokenSceneId);

    /**
     * 生成情景口语对话 音频【AI】
     *
     * @param generatedSentencesAudioEntities
     * @return
     */
    List<BizSpokenSentencesAudioGenerationRelationEntity> generatedSentencesAudioTask(List<GeneratedSentencesAudioEntity> generatedSentencesAudioEntities);


}
