package cn.com.poc.spokenscene.aggregation;

import cn.com.poc.spokenscene.entity.BizSpokenSceneEntity;

import java.util.Collection;

public interface SpokenSceneService {

    /**
     * 创建场景
     *
     * @param bizSpokenSceneEntity 口语场景
     */
    BizSpokenSceneEntity createSpokenScene(BizSpokenSceneEntity bizSpokenSceneEntity);

    /**
     * 更新场景
     *
     * @param bizSpokenSceneEntity 口语场景
     */
    BizSpokenSceneEntity updateSpokenScene(BizSpokenSceneEntity bizSpokenSceneEntity);

    /**
     * 删除场景
     *
     * @param spokenSceneId 口语场景id
     */
    void delSpokenScenes(Long spokenSceneId);

    /**
     * 场景列表
     *
     * @param sceneCategorizationId 场景分类id
     */
    Collection<BizSpokenSceneEntity> getSpokenSceneCollection(Long sceneCategorizationId);

    /**
     * 口语场景详情
     *
     * @param spokenSceneId 口语场景id
     */
    BizSpokenSceneEntity getSpokenScene(Long spokenSceneId);

    /**
     * 口语场景排序
     *
     * @param spokenSceneId 口语场景id
     * @param location      排序位置
     * @return
     */
    BizSpokenSceneEntity sortedSpokenScene(Long spokenSceneId, Integer location);

    /**
     * 口语场景发布
     *
     * @param spokenSceneId 口语场景id
     * @return
     */
    BizSpokenSceneEntity postingSpokenScene(Long spokenSceneId);

}
