package cn.com.poc.spokenscene.aggregation;

import cn.com.poc.spokenscene.entity.BizSpokenSceneWordsEntity;
import cn.com.poc.spokenscene.query.SpokenSceneWordsQueryItem;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Collection;

public interface SpokenSceneWordsService {


    /**
     * 新增口语场景词汇
     *
     * @return
     */
    BizSpokenSceneWordsEntity createSpokenSceneWords(BizSpokenSceneWordsEntity bizSpokenSceneWordsEntity);


    /**
     * 编辑口语场景词汇
     *
     * @return
     */
    BizSpokenSceneWordsEntity updateSpokenSceneWords(BizSpokenSceneWordsEntity bizSpokenSceneWordsEntity);

    /**
     * 删除口语场景词汇
     */
    void delSpokenSceneWords(Long wordId);

    /**
     * 排序口语场景词汇
     */
    BizSpokenSceneWordsEntity sortedSpokenSceneWords(Long wordId, Integer location);

    /**
     * 获取口语场景词汇列表
     */
    Collection<SpokenSceneWordsQueryItem> getSpokenSceneWordsCollection(Long spokenSceneId);


}
