package cn.com.poc.spokenscene.convert;

import cn.com.poc.spokenscene.dto.SceneCategorizationDto;
import cn.com.poc.spokenscene.entity.BizSpokenSceneCategorizationEntity;
import cn.com.poc.spokenscene.model.BizSpokenSceneCategorizationModel;
import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.bean.copier.CopyOptions;

public class SpokenSceneCategorizationConvert {

    public static BizSpokenSceneCategorizationEntity modelToEntity(BizSpokenSceneCategorizationModel model) {
        BizSpokenSceneCategorizationEntity bizSpokenSceneCategorizationEntity = new BizSpokenSceneCategorizationEntity();
        bizSpokenSceneCategorizationEntity.setSceneCategorizationId(model.getSceneCategorizationId());
        bizSpokenSceneCategorizationEntity.setSceneCategorizationTitle(model.getSceneCategorizationTitle());
        bizSpokenSceneCategorizationEntity.setSorted(model.getSorted());
        bizSpokenSceneCategorizationEntity.setIsDisplayed(model.getIsDisplayed());
        bizSpokenSceneCategorizationEntity.setIsDeleted(model.getIsDeleted());
        return bizSpokenSceneCategorizationEntity;
    }

    public static BizSpokenSceneCategorizationModel entityToModel(BizSpokenSceneCategorizationEntity entity) {
        BizSpokenSceneCategorizationModel bizSpokenSceneCategorizationModel = new BizSpokenSceneCategorizationModel();
//        bizSpokenSceneCategorizationModel.setSceneCategorizationId(entity.getSceneCategorizationId());
//        bizSpokenSceneCategorizationModel.setSceneCategorizationTitle(entity.getSceneCategorizationTitle());
//        bizSpokenSceneCategorizationModel.setOrder(entity.getOrder());
//        bizSpokenSceneCategorizationModel.setIsDisplayed(entity.getIsDisplayed());
//        bizSpokenSceneCategorizationModel.setIsDeleted(entity.getIsDeleted());
        BeanUtil.copyProperties(entity, bizSpokenSceneCategorizationModel, new CopyOptions().ignoreNullValue());
        return bizSpokenSceneCategorizationModel;
    }

    public static SceneCategorizationDto entityToDto(BizSpokenSceneCategorizationEntity entity) {
        SceneCategorizationDto dto = new SceneCategorizationDto();
        dto.setSceneCategorizationId(entity.getSceneCategorizationId());
        dto.setSceneCategorizationTitle(entity.getSceneCategorizationTitle());
        dto.setOrder(entity.getSorted());
        dto.setIsDisplayed(entity.getIsDisplayed());
        return dto;
    }

    public static BizSpokenSceneCategorizationEntity dtoToEntity(SceneCategorizationDto dto) {
        BizSpokenSceneCategorizationEntity bizSpokenSceneCategorizationEntity = new BizSpokenSceneCategorizationEntity();
        bizSpokenSceneCategorizationEntity.setSceneCategorizationId(dto.getSceneCategorizationId());
        bizSpokenSceneCategorizationEntity.setSceneCategorizationTitle(dto.getSceneCategorizationTitle());
        bizSpokenSceneCategorizationEntity.setSorted(dto.getOrder());
        bizSpokenSceneCategorizationEntity.setIsDisplayed(dto.getIsDisplayed());
        return bizSpokenSceneCategorizationEntity;
    }
}
