package cn.com.poc.spokenscene.convert;

import cn.com.poc.spokenscene.dto.SpokenSceneDto;
import cn.com.poc.spokenscene.entity.BizSpokenSceneEntity;
import cn.com.poc.spokenscene.model.BizSpokenSceneModel;

public class SpokenSceneConvert {


    public static BizSpokenSceneEntity modelToEntity(BizSpokenSceneModel model) {
        BizSpokenSceneEntity bizSpokenSceneEntity = new BizSpokenSceneEntity();
        bizSpokenSceneEntity.setSpokenSceneId(model.getSpokenSceneId());
        bizSpokenSceneEntity.setSpokenSceneTitle(model.getSpokenSceneTitle());
        bizSpokenSceneEntity.setSceneCategorizationId(model.getSceneCategorizationId());
        bizSpokenSceneEntity.setSorted(model.getSorted());
        bizSpokenSceneEntity.setDifficultyLevel(model.getDifficultyLevel());
        bizSpokenSceneEntity.setDescriptive(model.getDescriptive());
        bizSpokenSceneEntity.setCoverUrl(model.getCoverUrl());
        bizSpokenSceneEntity.setPostingStatus(model.getPostingStatus());
        bizSpokenSceneEntity.setIsDeleted(model.getIsDeleted());
        return bizSpokenSceneEntity;
    }

    public static BizSpokenSceneModel entityToModel(BizSpokenSceneEntity entity) {
        BizSpokenSceneModel bizSpokenSceneModel = new BizSpokenSceneModel();
        bizSpokenSceneModel.setSpokenSceneId(entity.getSpokenSceneId());
        bizSpokenSceneModel.setSpokenSceneTitle(entity.getSpokenSceneTitle());
        bizSpokenSceneModel.setSceneCategorizationId(entity.getSceneCategorizationId());
        bizSpokenSceneModel.setSorted(entity.getSorted());
        bizSpokenSceneModel.setDifficultyLevel(entity.getDifficultyLevel());
        bizSpokenSceneModel.setDescriptive(entity.getDescriptive());
        bizSpokenSceneModel.setCoverUrl(entity.getCoverUrl());
        bizSpokenSceneModel.setPostingStatus(entity.getPostingStatus());
        bizSpokenSceneModel.setIsDeleted(entity.getIsDeleted());
        return bizSpokenSceneModel;
    }


    public static SpokenSceneDto entityToDto(BizSpokenSceneEntity entity) {
        SpokenSceneDto spokenSceneDto = new SpokenSceneDto();
        spokenSceneDto.setSpokenSceneId(entity.getSpokenSceneId());
        spokenSceneDto.setSpokenSceneTitle(entity.getSpokenSceneTitle());
        spokenSceneDto.setSceneCategorizationId(entity.getSceneCategorizationId());
        spokenSceneDto.setSorted(entity.getSorted());
        spokenSceneDto.setDifficultyLevel(entity.getDifficultyLevel());
        spokenSceneDto.setDescriptive(entity.getDescriptive());
        spokenSceneDto.setCoverUrl(entity.getCoverUrl());
        spokenSceneDto.setPostingStatus(entity.getPostingStatus());
        return spokenSceneDto;
    }

    public static BizSpokenSceneEntity dtoToEntity(SpokenSceneDto spokenSceneDto) {
        BizSpokenSceneEntity bizSpokenSceneEntity = new BizSpokenSceneEntity();
        bizSpokenSceneEntity.setSpokenSceneId(spokenSceneDto.getSpokenSceneId());
        bizSpokenSceneEntity.setSpokenSceneTitle(spokenSceneDto.getSpokenSceneTitle());
        bizSpokenSceneEntity.setSceneCategorizationId(spokenSceneDto.getSceneCategorizationId());
        bizSpokenSceneEntity.setSorted(spokenSceneDto.getSorted());
        bizSpokenSceneEntity.setDifficultyLevel(spokenSceneDto.getDifficultyLevel());
        bizSpokenSceneEntity.setDescriptive(spokenSceneDto.getDescriptive());
        bizSpokenSceneEntity.setCoverUrl(spokenSceneDto.getCoverUrl());
        bizSpokenSceneEntity.setPostingStatus(spokenSceneDto.getPostingStatus());
        return bizSpokenSceneEntity;
    }

}
