package cn.com.poc.spokenscene.model;

import cn.com.yict.framemax.data.model.BaseModelClass;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * Model class for biz_spoken_scene_categorization
 * 口语对话-场景分类表
 */
@Entity
@Table(name = "biz_spoken_scene_categorization")
@DynamicInsert
@DynamicUpdate
public class BizSpokenSceneCategorizationModel extends BaseModelClass implements Serializable {

    private static final long serialVersionUID = 1L;
    
  
    /** scene_categorization_id
    *场景分类主键
    */ 
    private Long sceneCategorizationId;
    
    @Column(name = "scene_categorization_id",length = 19)
	@Id @GeneratedValue(strategy = GenerationType.AUTO) 
    public Long getSceneCategorizationId(){
        return this.sceneCategorizationId;
    }
    
    public void setSceneCategorizationId(Long sceneCategorizationId){
        this.sceneCategorizationId = sceneCategorizationId;
        super.addValidField("sceneCategorizationId");
    }
    
  
    /** scene_categorization_title
    *场景分类标题
    */ 
    private String sceneCategorizationTitle;
    
    @Column(name = "scene_categorization_title",length = 15)
    public String getSceneCategorizationTitle(){
        return this.sceneCategorizationTitle;
    }
    
    public void setSceneCategorizationTitle(String sceneCategorizationTitle){
        this.sceneCategorizationTitle = sceneCategorizationTitle;
        super.addValidField("sceneCategorizationTitle");
    }
    
  
    /** sorted
    *排序 0-正无穷   值越小越靠前
    */ 
    private Integer sorted;
    
    @Column(name = "sorted",length = 10)
    public Integer getSorted(){
        return this.sorted;
    }
    
    public void setSorted(Integer sorted){
        this.sorted = sorted;
        super.addValidField("sorted");
    }
    
  
    /** is_displayed
    *是否展示 Y-展示 N-不展示
    */ 
    private String isDisplayed;
    
    @Column(name = "is_displayed",length = 1)
    public String getIsDisplayed(){
        return this.isDisplayed;
    }
    
    public void setIsDisplayed(String isDisplayed){
        this.isDisplayed = isDisplayed;
        super.addValidField("isDisplayed");
    }
    
  
    /** is_deleted
    *是否删除 1、Y 是 2、N 否
    */ 
    private String isDeleted;
    
    @Column(name = "is_deleted",length = 1)
    public String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(String isDeleted){
        this.isDeleted = isDeleted;
        super.addValidField("isDeleted");
    }
    
  
    /** CREATOR
    *创建人
    */ 
    private String creator;
    
    @Column(name = "CREATOR",length = 225)
    public String getCreator(){
        return this.creator;
    }
    
    public void setCreator(String creator){
        this.creator = creator;
        super.addValidField("creator");
    }
    
  
    /** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;
    
    @Column(name = "CREATED_TIME",length = 19)
    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
        super.addValidField("createdTime");
    }
    
  
    /** MODIFIER
    *修改人
    */ 
    private String modifier;
    
    @Column(name = "MODIFIER",length = 225)
    public String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(String modifier){
        this.modifier = modifier;
        super.addValidField("modifier");
    }
    
  
    /** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;
    
    @Column(name = "MODIFIED_TIME",length = 19)
    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
        super.addValidField("modifiedTime");
    }
    
  
    /** SYS_VERSION
    *乐观锁,版本号
    */ 
    private Integer sysVersion;
    
    @Column(name = "SYS_VERSION",length = 10)
	@Version
    public Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(Integer sysVersion){
        this.sysVersion = sysVersion;
        super.addValidField("sysVersion");
    }
    

}