package cn.com.poc.spokenscene.model;

import cn.com.yict.framemax.data.model.BaseModelClass;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * Model class for biz_spoken_scene
 * 口语场景配置表
 */
@Entity
@Table(name = "biz_spoken_scene")
@DynamicInsert
@DynamicUpdate
public class BizSpokenSceneModel extends BaseModelClass implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     * spoken_scene_id
     * 口语场景主键ID
     */
    private Long spokenSceneId;

    @Column(name = "spoken_scene_id", length = 19)
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    public Long getSpokenSceneId() {
        return this.spokenSceneId;
    }

    public void setSpokenSceneId(Long spokenSceneId) {
        this.spokenSceneId = spokenSceneId;
        super.addValidField("spokenSceneId");
    }


    /**
     * spoken_scene_title
     * 口语场景标题
     */
    private String spokenSceneTitle;

    @Column(name = "spoken_scene_title", length = 10)
    public String getSpokenSceneTitle() {
        return this.spokenSceneTitle;
    }

    public void setSpokenSceneTitle(String spokenSceneTitle) {
        this.spokenSceneTitle = spokenSceneTitle;
        super.addValidField("spokenSceneTitle");
    }


    /**
     * scene_categorization_id
     * 场景分类ID
     */
    private Long sceneCategorizationId;

    @Column(name = "scene_categorization_id", length = 19)
    public Long getSceneCategorizationId() {
        return this.sceneCategorizationId;
    }

    public void setSceneCategorizationId(Long sceneCategorizationId) {
        this.sceneCategorizationId = sceneCategorizationId;
        super.addValidField("sceneCategorizationId");
    }

    /**
     * sorted
     * 排序 0-正无穷   值越小越靠前
     */
    private Integer sorted;

    @Column(name = "sorted", length = 10)
    public Integer getSorted() {
        return this.sorted;
    }

    public void setSorted(Integer sorted) {
        this.sorted = sorted;
        super.addValidField("sorted");
    }


    /**
     * difficulty_level
     * 难度等级
     */
    private String difficultyLevel;

    @Column(name = "difficulty_level", length = 10)
    public String getDifficultyLevel() {
        return this.difficultyLevel;
    }

    public void setDifficultyLevel(String difficultyLevel) {
        this.difficultyLevel = difficultyLevel;
        super.addValidField("difficultyLevel");
    }


    /**
     * descriptive
     * 描述
     */
    private String descriptive;

    @Column(name = "descriptive", length = 65535)
    public String getDescriptive() {
        return this.descriptive;
    }

    public void setDescriptive(String descriptive) {
        this.descriptive = descriptive;
        super.addValidField("descriptive");
    }


    /**
     * cover_url
     * 封面
     */
    private String coverUrl;

    @Column(name = "cover_url", length = 225)
    public String getCoverUrl() {
        return this.coverUrl;
    }

    public void setCoverUrl(String coverUrl) {
        this.coverUrl = coverUrl;
        super.addValidField("coverUrl");
    }


    /**
     * posting_status
     * 发布状态   已发布-Published     未发布-unPublished   已下架-offShelf
     */
    private java.lang.String postingStatus;

    @Column(name = "posting_status", length = 15)
    public java.lang.String getPostingStatus() {
        return this.postingStatus;
    }


    public void setPostingStatus(java.lang.String postingStatus) {
        this.postingStatus = postingStatus;
        super.addValidField("postingStatus");
    }


    /**
     * is_deleted
     * 是否删除 1、Y 是 2、N 否
     */
    private String isDeleted;

    @Column(name = "is_deleted", length = 1)
    public String getIsDeleted() {
        return this.isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
        super.addValidField("isDeleted");
    }


    /**
     * CREATOR
     * 创建人
     */
    private String creator;

    @Column(name = "CREATOR", length = 225)
    public String getCreator() {
        return this.creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
        super.addValidField("creator");
    }


    /**
     * CREATED_TIME
     * 创建时间
     */
    private java.util.Date createdTime;

    @Column(name = "CREATED_TIME", length = 19)
    public java.util.Date getCreatedTime() {
        return this.createdTime;
    }

    public void setCreatedTime(java.util.Date createdTime) {
        this.createdTime = createdTime;
        super.addValidField("createdTime");
    }


    /**
     * MODIFIER
     * 修改人
     */
    private String modifier;

    @Column(name = "MODIFIER", length = 225)
    public String getModifier() {
        return this.modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
        super.addValidField("modifier");
    }


    /**
     * MODIFIED_TIME
     * 修改时间
     */
    private java.util.Date modifiedTime;

    @Column(name = "MODIFIED_TIME", length = 19)
    public java.util.Date getModifiedTime() {
        return this.modifiedTime;
    }

    public void setModifiedTime(java.util.Date modifiedTime) {
        this.modifiedTime = modifiedTime;
        super.addValidField("modifiedTime");
    }


    /**
     * SYS_VERSION
     * 乐观锁,版本号
     */
    private Integer sysVersion;

    @Column(name = "SYS_VERSION", length = 10)
    @Version
    public Integer getSysVersion() {
        return this.sysVersion;
    }

    public void setSysVersion(Integer sysVersion) {
        this.sysVersion = sysVersion;
        super.addValidField("sysVersion");
    }


}