package cn.com.poc.spokenscene.model;

import java.io.Serializable;
import cn.com.yict.framemax.data.model.BaseModelClass;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Id;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import javax.persistence.Version;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;

/**
 * Model class for biz_spoken_sentences
 * 粤语句子表
 */
@Entity
@Table(name = "biz_spoken_sentences")
@DynamicInsert
@DynamicUpdate
public class BizSpokenSentencesModel extends BaseModelClass implements Serializable {

    private static final long serialVersionUID = 1L;
    
  
    /** sentences_id
    *句子Id
    */ 
    private java.lang.Long sentencesId;
    
    @Column(name = "sentences_id",length = 19)
	@Id @GeneratedValue(strategy = GenerationType.AUTO) 
    public java.lang.Long getSentencesId(){
        return this.sentencesId;
    }
    
    public void setSentencesId(java.lang.Long sentencesId){
        this.sentencesId = sentencesId;
        super.addValidField("sentencesId");
    }
    
  
    /** cantonese_content
    *粤语文本
    */ 
    private java.lang.String cantoneseContent;
    
    @Column(name = "cantonese_content",length = 65535)
    public java.lang.String getCantoneseContent(){
        return this.cantoneseContent;
    }
    
    public void setCantoneseContent(java.lang.String cantoneseContent){
        this.cantoneseContent = cantoneseContent;
        super.addValidField("cantoneseContent");
    }
    
  
    /** cantonese_transcription
    *粤语音标
    */ 
    private java.lang.String cantoneseTranscription;
    
    @Column(name = "cantonese_transcription",length = 65535)
    public java.lang.String getCantoneseTranscription(){
        return this.cantoneseTranscription;
    }
    
    public void setCantoneseTranscription(java.lang.String cantoneseTranscription){
        this.cantoneseTranscription = cantoneseTranscription;
        super.addValidField("cantoneseTranscription");
    }
    
  
    /** mandarin_content
    *普通话文本
    */ 
    private java.lang.String mandarinContent;
    
    @Column(name = "mandarin_content",length = 65535)
    public java.lang.String getMandarinContent(){
        return this.mandarinContent;
    }
    
    public void setMandarinContent(java.lang.String mandarinContent){
        this.mandarinContent = mandarinContent;
        super.addValidField("mandarinContent");
    }
    
  
    /** is_deleted
    *是否删除 1、Y 是 2、N 否
    */ 
    private java.lang.String isDeleted;
    
    @Column(name = "is_deleted",length = 1)
    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
        super.addValidField("isDeleted");
    }
    
  
    /** CREATOR
    *创建人
    */ 
    private java.lang.String creator;
    
    @Column(name = "CREATOR",length = 225)
    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
        super.addValidField("creator");
    }
    
  
    /** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;
    
    @Column(name = "CREATED_TIME",length = 19)
    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
        super.addValidField("createdTime");
    }
    
  
    /** MODIFIER
    *修改人
    */ 
    private java.lang.String modifier;
    
    @Column(name = "MODIFIER",length = 225)
    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
        super.addValidField("modifier");
    }
    
  
    /** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;
    
    @Column(name = "MODIFIED_TIME",length = 19)
    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
        super.addValidField("modifiedTime");
    }
    
  
    /** SYS_VERSION
    *乐观锁,版本号
    */ 
    private java.lang.Integer sysVersion;
    
    @Column(name = "SYS_VERSION",length = 10)
	@Version
    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
        super.addValidField("sysVersion");
    }
    

}