package cn.com.poc.spokenscene.model;

import cn.com.yict.framemax.data.model.BaseModelClass;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * Model class for biz_spoken_words_audio_generation_relation
 * 口语词汇-音频生成任务关联表
 */
@Entity
@Table(name = "biz_spoken_words_audio_generation_relation")
@DynamicInsert
@DynamicUpdate
public class BizSpokenWordsAudioGenerationRelationModel extends BaseModelClass implements Serializable {

    private static final long serialVersionUID = 1L;
    
  
    /** relation_id
    *关联ID
    */ 
    private Long relationId;
    
    @Column(name = "relation_id",length = 19)
	@Id @GeneratedValue(strategy = GenerationType.AUTO) 
    public Long getRelationId(){
        return this.relationId;
    }
    
    public void setRelationId(Long relationId){
        this.relationId = relationId;
        super.addValidField("relationId");
    }
    
  
    /** word_id
    *词汇主键ID
    */ 
    private Long wordId;
    
    @Column(name = "word_id",length = 19)
    public Long getWordId(){
        return this.wordId;
    }
    
    public void setWordId(Long wordId){
        this.wordId = wordId;
        super.addValidField("wordId");
    }
    
  
    /** task_id
    *音频生成任务ID
    */ 
    private Long taskId;
    
    @Column(name = "task_id",length = 19)
    public Long getTaskId(){
        return this.taskId;
    }
    
    public void setTaskId(Long taskId){
        this.taskId = taskId;
        super.addValidField("taskId");
    }
    
  
    /** is_deleted
    *是否删除 1、Y 是 2、N 否
    */ 
    private String isDeleted;
    
    @Column(name = "is_deleted",length = 1)
    public String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(String isDeleted){
        this.isDeleted = isDeleted;
        super.addValidField("isDeleted");
    }
    
  
    /** CREATOR
    *创建人
    */ 
    private String creator;
    
    @Column(name = "CREATOR",length = 225)
    public String getCreator(){
        return this.creator;
    }
    
    public void setCreator(String creator){
        this.creator = creator;
        super.addValidField("creator");
    }
    
  
    /** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;
    
    @Column(name = "CREATED_TIME",length = 19)
    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
        super.addValidField("createdTime");
    }
    
  
    /** MODIFIER
    *修改人
    */ 
    private String modifier;
    
    @Column(name = "MODIFIER",length = 225)
    public String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(String modifier){
        this.modifier = modifier;
        super.addValidField("modifier");
    }
    
  
    /** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;
    
    @Column(name = "MODIFIED_TIME",length = 19)
    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
        super.addValidField("modifiedTime");
    }
    
  
    /** SYS_VERSION
    *乐观锁,版本号
    */ 
    private Integer sysVersion;
    
    @Column(name = "SYS_VERSION",length = 10)
	@Version
    public Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(Integer sysVersion){
        this.sysVersion = sysVersion;
        super.addValidField("sysVersion");
    }
    

}