package cn.com.poc.spokenscene.rest;

import cn.com.poc.spokenscene.dto.*;
import cn.com.yict.framemax.core.rest.BaseRest;
import cn.com.yict.framemax.web.permission.Access;
import cn.com.yict.framemax.web.permission.Permission;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@Permission(Access.Safety)
public interface SpokenSceneConversationRest extends BaseRest {

    /**
     * 生成情景口语对话 文案【AI】
     *
     * @param dto
     * @return
     */
    Object generatedConversation(@RequestBody GeneratedConversationDto dto);


    /**
     * 保存情景口语对话
     */
    void saveConversation(@RequestBody SaveSpokenSceneConversationDto saveSpokenSceneConversationDto);

    /**
     * 获取情景口语配置
     *
     * @param spokenSceneId 口语场景ID
     */
    List<SpokenSceneConversationDto> getConversation(@RequestParam Long spokenSceneId);


    /**
     * 创建情景口语对话 句子音频生成任务
     *
     * @param generatedSentencesAudioDtoList
     * @return
     */
    List<GeneratedSentencesAudioResultDto> generatedSentencesAudioTask(@RequestBody List<GeneratedSentencesAudioDto> generatedSentencesAudioDtoList);
}
