package cn.com.poc.spokenscene.rest;

import cn.com.poc.spokenscene.dto.SpokenSceneWordsDto;
import cn.com.yict.framemax.core.rest.BaseRest;
import cn.com.yict.framemax.web.permission.Access;
import cn.com.yict.framemax.web.permission.Permission;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Collection;

@Permission(Access.Safety)
public interface SpokenSceneWordsRest extends BaseRest {


    /**
     * 新增口语场景词汇
     *
     * @param spokenSceneWordsDto 口语场景词汇
     */
    SpokenSceneWordsDto createSpokenSceneWords(@RequestBody SpokenSceneWordsDto spokenSceneWordsDto);


    /**
     * 编辑口语场景词汇
     *
     * @param spokenSceneWordsDto 口语场景词汇
     */
    SpokenSceneWordsDto updateSpokenSceneWords(@RequestBody SpokenSceneWordsDto spokenSceneWordsDto);

    /**
     * 删除口语场景词汇
     *
     * @param wordId 口语场景词汇ID
     */
    void delSpokenSceneWords(@RequestParam Long wordId);

    /**
     * 排序口语场景词汇
     *
     * @param wordId   口语场景词汇ID
     * @param location 排序位置
     */
    SpokenSceneWordsDto sortedSpokenSceneWords(@RequestParam Long wordId, @RequestParam Integer location);

    /**
     * 获取口语场景词汇列表
     *
     * @param spokenSceneID 口语场景ID
     */
    Collection<SpokenSceneWordsDto> getSpokenSceneWordsCollection(@RequestParam Long spokenSceneID);


}
