package cn.com.poc.spokenscene.service.impl;

import cn.com.poc.common.constant.CommonConstant;
import cn.com.poc.common.utils.Assert;
import cn.com.poc.spokenscene.convert.SpokenSceneConvert;
import cn.com.poc.spokenscene.convert.SpokenSentencesAudioGenerationRelationConvert;
import cn.com.poc.spokenscene.entity.BizSpokenSceneEntity;
import cn.com.poc.spokenscene.entity.BizSpokenSentencesAudioGenerationRelationEntity;
import cn.com.poc.spokenscene.model.BizSpokenSceneModel;
import cn.com.yict.framemax.core.service.impl.BaseServiceImpl;
import cn.com.poc.spokenscene.service.BizSpokenSentencesAudioGenerationRelationService;
import cn.com.poc.spokenscene.model.BizSpokenSentencesAudioGenerationRelationModel;
import cn.com.poc.spokenscene.repository.BizSpokenSentencesAudioGenerationRelationRepository;
import cn.com.yict.framemax.data.model.PagingInfo;
import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.bean.copier.CopyOptions;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;
import java.util.stream.Collectors;
import javax.annotation.Resource;

@Service
public class BizSpokenSentencesAudioGenerationRelationServiceImpl extends BaseServiceImpl
        implements BizSpokenSentencesAudioGenerationRelationService {

    @Resource
    private BizSpokenSentencesAudioGenerationRelationRepository repository;

    @Override
    public BizSpokenSentencesAudioGenerationRelationEntity get(Long id) {
        Assert.notNull(id, "id is null");
        BizSpokenSentencesAudioGenerationRelationModel bizSpokenSentencesAudioGenerationRelationModel = this.repository.get(id);
        if (null == bizSpokenSentencesAudioGenerationRelationModel || CommonConstant.IsDeleted.Y.equals(bizSpokenSentencesAudioGenerationRelationModel.getIsDeleted())) {
            return null;
        }
        return SpokenSentencesAudioGenerationRelationConvert.modelToEntity(bizSpokenSentencesAudioGenerationRelationModel);
    }

    @Override
    public List<BizSpokenSentencesAudioGenerationRelationEntity> findByExample(BizSpokenSentencesAudioGenerationRelationEntity entity, PagingInfo pagingInfo) {
        List<BizSpokenSentencesAudioGenerationRelationEntity> result = new ArrayList<>();
        entity.setIsDeleted(CommonConstant.IsDeleted.N);
        BizSpokenSentencesAudioGenerationRelationModel model = SpokenSentencesAudioGenerationRelationConvert.entityToModel(entity);
        List<BizSpokenSentencesAudioGenerationRelationModel> models = this.repository.findByExample(model,  pagingInfo);
        if (CollectionUtils.isNotEmpty(models)) {
            result = models.stream().map(SpokenSentencesAudioGenerationRelationConvert::modelToEntity).collect(Collectors.toList());
        }
        return result;
    }

    @Override
    public void deleteById(Long id) {
        Assert.notNull(id, "id is null");
        BizSpokenSentencesAudioGenerationRelationModel model = this.repository.get(id);
        if (null == model) {
            return;
        }
        model.setIsDeleted(CommonConstant.IsDeleted.Y);
        repository.save(model);
    }

    @Override
    public BizSpokenSentencesAudioGenerationRelationEntity save(BizSpokenSentencesAudioGenerationRelationEntity entity) {
        Assert.notNull(entity, "entity is null");
        Assert.notNull(entity.getSentencesId(), "sentences id is null");
        Assert.notNull(entity.getTaskId(), "task id is null");
        entity.setRelationId(null);
        entity.setIsDeleted(CommonConstant.IsDeleted.N);
        BizSpokenSentencesAudioGenerationRelationModel model = SpokenSentencesAudioGenerationRelationConvert.entityToModel(entity);
        BizSpokenSentencesAudioGenerationRelationModel saveModel = this.repository.save(model);
        return SpokenSentencesAudioGenerationRelationConvert.modelToEntity(saveModel);
    }

    @Override
    public BizSpokenSentencesAudioGenerationRelationEntity update(BizSpokenSentencesAudioGenerationRelationEntity entity) {
        Assert.notNull(entity, "entity is null");
        Assert.notNull(entity.getRelationId(), "spokenSceneId is null");
        BizSpokenSentencesAudioGenerationRelationModel model = this.repository.get(entity.getRelationId());
        if (model == null || CommonConstant.IsDeleted.Y.equals(model.getIsDeleted())) {
            return null;
        }
        CopyOptions copyOptions = new CopyOptions().ignoreNullValue();
        BeanUtil.copyProperties(entity, model, copyOptions);
        BizSpokenSentencesAudioGenerationRelationModel saveModel = this.repository.save(model);
        return SpokenSentencesAudioGenerationRelationConvert.modelToEntity(saveModel);
    }
}