package cn.com.poc.spokenscene.service.impl;

import cn.com.poc.common.constant.CommonConstant;
import cn.com.poc.spokenscene.convert.SpokenSceneWordsAudioGenerationRelationConvert;
import cn.com.poc.spokenscene.entity.BizSpokenWordsAudioGenerationRelationEntity;
import cn.com.poc.spokenscene.model.BizSpokenWordsAudioGenerationRelationModel;
import cn.com.yict.framemax.core.service.impl.BaseServiceImpl;
import cn.com.poc.spokenscene.service.BizSpokenWordsAudioGenerationRelationService;
import cn.com.poc.spokenscene.repository.BizSpokenWordsAudioGenerationRelationRepository;
import cn.hutool.core.lang.Assert;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class BizSpokenWordsAudioGenerationRelationServiceImpl extends BaseServiceImpl
        implements BizSpokenWordsAudioGenerationRelationService {

    @Resource
    private BizSpokenWordsAudioGenerationRelationRepository repository;

    @Override
    public BizSpokenWordsAudioGenerationRelationEntity getByWordId(Long id) {
        Assert.notNull(id, "id can not be null");
        BizSpokenWordsAudioGenerationRelationModel model = new BizSpokenWordsAudioGenerationRelationModel();
        model.setWordId(id);
        model.setIsDeleted(CommonConstant.IsDeleted.N);
        List<BizSpokenWordsAudioGenerationRelationModel> models = this.repository.findByExample(model);
        if (CollectionUtils.isEmpty(models)) {
            return null;
        }
        return SpokenSceneWordsAudioGenerationRelationConvert.modelToEntity(models.get(0));
    }

    @Override
    public BizSpokenWordsAudioGenerationRelationEntity getByTaskId(Long id) {
        Assert.notNull(id, "id can not be null");
        BizSpokenWordsAudioGenerationRelationModel model = new BizSpokenWordsAudioGenerationRelationModel();
        model.setTaskId(id);
        model.setIsDeleted(CommonConstant.IsDeleted.N);
        List<BizSpokenWordsAudioGenerationRelationModel> models = this.repository.findByExample(model);
        if (CollectionUtils.isEmpty(models)) {
            return null;
        }
        return SpokenSceneWordsAudioGenerationRelationConvert.modelToEntity(models.get(0));
    }

    @Override
    public BizSpokenWordsAudioGenerationRelationEntity save(BizSpokenWordsAudioGenerationRelationEntity entity) {
        Assert.notNull(entity, "entity can not be null");
        Assert.notNull(entity.getTaskId(), "task id can not be null");
        Assert.notNull(entity.getWordId(), "word id can not be null");
        BizSpokenWordsAudioGenerationRelationModel model = SpokenSceneWordsAudioGenerationRelationConvert.entityToModel(entity);
        model.setIsDeleted(CommonConstant.IsDeleted.N);
        return SpokenSceneWordsAudioGenerationRelationConvert.modelToEntity(this.repository.save(model));
    }

    @Override
    public void del(Long relationId) {
        Assert.notNull(relationId, "id can not be null");
        BizSpokenWordsAudioGenerationRelationModel model = this.repository.get(relationId);
        if (model == null) {
            return;
        }
        model.setIsDeleted(CommonConstant.IsDeleted.Y);
        this.repository.save(model);

    }
}