package cn.com.poc.thirdparty.resource.tencent.ecognition;

import cn.com.yict.framemax.core.config.Config;
import com.tencent.SpeechClient;
import com.tencent.asr.model.SpeechRecognitionRequest;
import com.tencent.asr.service.SpeechRecognitionListener;
import com.tencent.asr.service.SpeechRecognizer;

/**
 * @author alex.yao
 * @date 2023/12/11
 **/
public class SpeechRecognizerBuilder {

    private SpeechRecognitionRequest request = new SpeechRecognitionRequest();

    private SpeechRecognitionListener speechRecognitionListener;

    public SpeechRecognizerBuilder engineModelType(String engineModelType) {
        request.setEngineModelType(engineModelType);
        return this;
    }

    public SpeechRecognizerBuilder voiceFormat(Integer voiceFormat) {
        request.setVoiceFormat(voiceFormat);
        return this;
    }

    public SpeechRecognizerBuilder needvad(Integer value) {
        request.setNeedVad(value);
        return this;
    }

    public SpeechRecognizerBuilder maxSpeakTime(Integer value) {
        request.setMaxSpeakTime(value);
        return this;
    }

    public SpeechRecognizerBuilder noiseThreshold(Float value) {
        request.setNoiseThreshold(value);
        return this;
    }

    public SpeechRecognizerBuilder vadSilenceTime(Integer value) {
        request.setVadSilenceTime(value);
        return this;
    }

    public SpeechRecognizerBuilder speechRecognitionListener(SpeechRecognitionListener speechRecognitionListener) {
        this.speechRecognitionListener = speechRecognitionListener;
        return this;
    }

    public SpeechRecognizer build() {
        String appId = Config.get("tencent.appId");
        String secretKey = Config.get("tencent.secretKey");
        String secretId = Config.get("tencent.secretId");
        SpeechClient client = SpeechClient.newInstance(appId, secretId, secretKey);

        return client.newSpeechRecognizer(request, speechRecognitionListener);
    }

}
